<?php get_header();

/* Translation */
$brnhmbx_robin_tra_SearchResults = esc_html__( 'Search Results', 'robin' );
$brnhmbx_robin_tra_Category = esc_html__( 'Category', 'robin' );
$brnhmbx_robin_tra_Tag = esc_html__( 'Tag', 'robin' );
$brnhmbx_robin_tra_Author = esc_html__( 'Author', 'robin' );
$brnhmbx_robin_tra_Archives = esc_html__( 'Archives', 'robin' );

if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

$brnhmbx_robin_tra_SearchResults = get_theme_mod( 'brnhmbx_robin_tra_SearchResults', 'Search Results' );
$brnhmbx_robin_tra_Category = get_theme_mod( 'brnhmbx_robin_tra_Category', 'Category' );
$brnhmbx_robin_tra_Tag = get_theme_mod( 'brnhmbx_robin_tra_Tag', 'Tag' );
$brnhmbx_robin_tra_Author = get_theme_mod( 'brnhmbx_robin_tra_Author', 'Author' );
$brnhmbx_robin_tra_Archives = get_theme_mod( 'brnhmbx_robin_tra_Archives', 'Archives' );

}
/* */
			
/* Radio Default Values */
$brnhmbx_robin_opt_Layout = get_theme_mod( 'brnhmbx_robin_opt_Layout_Archive', '2col_sidebar' );
/* */

$brnhmbx_robin_pageHeader = '';

if ( !get_theme_mod( 'brnhmbx_robin_sh_FilterBar_Word', 1 ) ) {

	if ( is_search() ) {
	
		$brnhmbx_robin_pageHeader = esc_html( get_search_query( false ) );
	
	} else if ( is_category() ) {
	
		$brnhmbx_robin_pageHeader = single_cat_title( '', false );
	
	} else if ( is_tag() ) {
	
		$brnhmbx_robin_pageHeader = single_tag_title( '', false );
	
	} else if ( is_author() ) {
	
		the_post();
		$brnhmbx_robin_pageHeader =  get_the_author();
		rewind_posts();
	
	} else if ( is_day() ) {
	
		$brnhmbx_robin_pageHeader =  get_the_date();
	
	} else if ( is_month() ) {
	
		$brnhmbx_robin_pageHeader =  get_the_date( 'F Y' );
	
	} else if ( is_year() ) {
	
		$brnhmbx_robin_pageHeader =  get_the_date( 'Y' );
	
	} else {
	
		$brnhmbx_robin_pageHeader =  $brnhmbx_tra_Archives;
	
	}

} else {
			
	if ( is_search() ) {
	
		$brnhmbx_robin_pageHeader = $brnhmbx_robin_tra_SearchResults . ' / ' . esc_html( get_search_query( false ) );
		
	} else if ( is_category() ) {
		
		$brnhmbx_robin_pageHeader = single_cat_title( $brnhmbx_robin_tra_Category . ' / ', false );
		
	} else if ( is_tag() ) {
		
		$brnhmbx_robin_pageHeader = single_tag_title( $brnhmbx_robin_tra_Tag . ' / ', false );
		
	} else if ( is_author() ) {
		
		the_post();
		$brnhmbx_robin_pageHeader = $brnhmbx_robin_tra_Author . ' / ' . get_the_author();
		rewind_posts();
		
	} else if ( is_day() ) {
		
		$brnhmbx_robin_pageHeader = $brnhmbx_robin_tra_Archives . ' / ' . get_the_date();
		
	} else if ( is_month() ) {
		
		$brnhmbx_robin_pageHeader = $brnhmbx_robin_tra_Archives . ' / ' . get_the_date( 'F Y' );
		
	} else if ( is_year() ) {
		
		$brnhmbx_robin_pageHeader = $brnhmbx_robin_tra_Archives . ' / ' . get_the_date( 'Y' );
		
	} else {
		
		$brnhmbx_robin_pageHeader = $brnhmbx_robin_tra_Archives;
	
	}

}

?>

		<div class="clearfix main-container<?php echo robin_applyLayout(); ?>">            
        	<div class="clearfix site-content<?php echo robin_applyLayout(); ?>">
            
            	<?php if ( get_theme_mod( 'brnhmbx_robin_sh_FilterBar', 1 ) ) { ?>
                    <!-- filter bar -->
                    <div class="clearfix mb40">
                        <div class="filter-bar">
                            <div class="table-cell-middle">
                                <div class="fs20 brnhmbx-font-1 fw700"><?php echo esc_attr( $brnhmbx_robin_pageHeader ); ?></div>
                            </div>
                        </div>
                    </div><!-- /filter bar -->
                <?php } ?>
                            
                <!-- wrapper -->
                <div class="wrapper clearfix">
                
                <?php
                
                $brnhmbx_robin_counter = 0;
    
                if ( have_posts() ) :
                    while ( have_posts() ) : the_post();
                    
                    if ( $brnhmbx_robin_opt_Layout == '2col' || $brnhmbx_robin_opt_Layout == '2col_sidebar' ) {
                        
                        // Open & close row in every 2 entries for 2 columns layout
                            
                        if ( $brnhmbx_robin_counter % 2 == 0 ) { ?>
                        
                            <!-- row -->
                            <div class="row-1-2 clearfix">
                        
                    <?php }
                                
                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
                                
                        if ( $brnhmbx_robin_counter % 2 == 0 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>
                        
                            </div><!-- /row -->
                                        
                    <?php }
                    
                    } else if ( $brnhmbx_robin_opt_Layout == '1_2col_sidebar' ) {
                        
                        // Open & close row for the first entry and then in every 2 entries for 1 + 2 columns layout
						
						if ( $brnhmbx_robin_counter == 0 ) { ?>
                        
                        	<!-- row -->
                            <div class="row-1-1-2 clearfix">
                            
                     	<?php } else {
                            
							if ( $brnhmbx_robin_counter % 2 == 1 ) { ?>
							
								<!-- row -->
								<div class="row-1-2 clearfix">
							
						<?php }
					
						}
                                
                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
                                
                        if ( $brnhmbx_robin_counter == 1 || $brnhmbx_robin_counter % 2 == 1 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>
                        
                            </div><!-- /row -->
                                        
                    <?php }
                    
                    } else if ( $brnhmbx_robin_opt_Layout == '3col' ) {
                        
                        // Open & close row in every 3 entries for 3 columns layout
                            
                        if ( $brnhmbx_robin_counter % 3 == 0 ) { ?>
                        
                            <!-- row -->
                            <div class="row-1-3 clearfix">
                        
                    <?php }
                                
                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
                                
                        if ( $brnhmbx_robin_counter % 3 == 0 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>
                        
                            </div><!-- /row -->
                                        
                    <?php }
                    
                    } else if ( $brnhmbx_robin_opt_Layout == '2_3col' ) {
                        
                        // Open & close row for the first 2 entries and then in every 3 entries for 3 columns layout
						
						if ( $brnhmbx_robin_counter == 0 ) { ?>
                        
                        	<!-- row -->
                            <div class="row-2-3 clearfix">
                            
                     	<?php } else {
                            
                        if ( $brnhmbx_robin_counter % 3 == 2 ) { ?>
                        
                            <!-- row -->
                            <div class="row-1-3 clearfix">
                        
                    <?php }
					
						}
                                
                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
                                
                        if ( $brnhmbx_robin_counter == 2 || $brnhmbx_robin_counter % 3 == 2 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>
                        
                            </div><!-- /row -->
                                        
                    <?php }
                    
                    } else {
                        
                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
                        
                    }
                                    
                    endwhile;
                    
                else :
                    
                get_template_part( 'nothing-found' );
                    
                endif;
                
                wp_reset_postdata();
                    
                ?>
                                                
                </div><!-- /wrapper -->
                
                <?php robin_Pagination(); ?>
            
            </div><!-- /site-content -->
		</div><!-- /main-container -->

	</div><!-- /article-wrapper-outer -->
    
    <?php /* Sidebar - Archive */
                
        if ( $brnhmbx_robin_opt_Layout == '1col_sidebar' || $brnhmbx_robin_opt_Layout == '2col_sidebar' || $brnhmbx_robin_opt_Layout == '1_2col_sidebar' ) {

            if ( get_theme_mod( 'brnhmbx_robin_ExtraSidebar_Archive' ) ) {
                    
                echo '<div class="sidebar clearfix">';    
                    dynamic_sidebar( 'brnhmbx_robin_sidebar_archive' );                        
                echo '</div>';
                    
            } else {

                get_sidebar();
                
            }
                    
        }
            
    ?>
    
</div><!-- /site-mid -->

<?php get_footer(); ?>