<?php

if ( !isset( $content_width ) ) {

	$content_width = 2560;

}

/* Include Customizer */
get_template_part( 'customizer' );
/* */

/* Load Widgets Filter */
if ( !function_exists( 'robin_customLoadWidgets' ) ) {
	function robin_customLoadWidgets() {

		wp_enqueue_style( 'wp-color-picker' );
		wp_enqueue_script( 'wp-color-picker' );
		wp_enqueue_script( 'underscore' );

	}
}
add_action( 'load-widgets.php', 'robin_customLoadWidgets' );
/* */

/* Google Fonts */
include( get_template_directory() . '/lib/google-fonts.php' );

if ( !function_exists( 'robin_fonts_url' ) ) {
	function robin_fonts_url() {

		$font_customizer_names = array();

		foreach ( robin_font_labels() as $key => $val ) {

			$add_underscore = str_replace( ' ', '_', $key );
			$font_customizer_names[ $add_underscore ] = $key . ':300,300i,400,400i,700,700i';

		}

		if ( !get_theme_mod( 'brnhmbx_robin_upload_Logo' ) ) { $brnhmbx_robin_font_Logo =  get_theme_mod( 'brnhmbx_robin_font_Logo', 'Montserrat' ); } else { $brnhmbx_robin_font_Logo = ''; }

		$font_holders = array(
			get_theme_mod( 'brnhmbx_robin_font_1', 'Quicksand' ),
			get_theme_mod( 'brnhmbx_robin_font_2', 'Karla' ),
			get_theme_mod( 'brnhmbx_robin_font_3', 'Karla' ),
			$brnhmbx_robin_font_Logo
		);

		$font_families = array();

		foreach ( $font_customizer_names as $n => $g ) {
			foreach ( $font_holders as $fh ) {
				if( $n == $fh ) {
					if ( !in_array( $g, $font_families ) ) {
						$font_families[] = $g;
					}
				}
			}
		}

		$query_args = array(
			'family' => urlencode( implode( '|', $font_families ) ),
		);

		$fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );
		return esc_url_raw( $fonts_url );

	}
}
/* */

/* Embed Resources */
if ( !function_exists( 'robin_embedResources' ) ) {
	function robin_embedResources() {

		/* Fonts */
		wp_enqueue_style( 'robin-fonts', robin_fonts_url(), array(), null );
		/* */

		wp_enqueue_style( 'normalize', get_template_directory_uri() . '/css/normalize.css', array( 'robin-fonts' ) );
		wp_enqueue_style( 'robin-style', get_stylesheet_uri() );
		wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css', array( 'robin-style' ), '4.7.0', 'all' );
		wp_enqueue_style( 'bxslider', get_template_directory_uri() . '/css/jquery.bxslider.css', array(), '', 'all' );
		wp_enqueue_style( 'robin-responsive', get_template_directory_uri() . '/css/responsive.css', array(), '', 'all' );
		wp_enqueue_style( 'slicknav', get_template_directory_uri() . '/css/slicknav.css', array(), '', 'all' );

		wp_add_inline_style( 'slicknav', robin_rewriteCSS() );

		/* */

		wp_enqueue_script( 'modernizr', get_template_directory_uri() . '/js/modernizr.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'fitvids', get_template_directory_uri() . '/js/jquery.fitvids.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'bxslider', get_template_directory_uri() . '/js/jquery.bxslider.min.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'robin-burnhambox-bx-js', get_template_directory_uri() . '/js/burnhambox-bx.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'robin-burnhambox-js', get_template_directory_uri() . '/js/burnhambox.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'slicknav', get_template_directory_uri() . '/js/jquery.slicknav.min.js', array( 'jquery' ), '', true );

		if ( is_page() && get_theme_mod( 'brnhmbx_robin_sh_Map' ) && get_theme_mod( 'brnhmbx_robin_mapPage' ) == get_the_ID() ) {

			if ( get_theme_mod( 'brnhmbx_robin_enableMapKey', 0 ) ) { wp_enqueue_script( 'robin-maps-api', '//maps.googleapis.com/maps/api/js?key=' . esc_attr( get_theme_mod( 'brnhmbx_robin_mapAPI', '' ) ), array(), '', false ); } else { wp_enqueue_script( 'robin-maps-api', '//maps.googleapis.com/maps/api/js', array(), '', false ); }

			wp_enqueue_script( 'robin-maps-js', get_template_directory_uri() . '/js/maps.js', array( 'jquery' ), '', true );

		}

	}
}
add_action( 'wp_enqueue_scripts', 'robin_embedResources' );
/* */

/* Theme setup */
if ( !function_exists( 'robin_themeSetup' ) ) {
	function robin_themeSetup() {

		// Navigation Menu
		register_nav_menus( array(

			'primary' => esc_html__( 'Primary Menu', 'robin' ),
			'header_menu' => esc_html__( 'Header Menu', 'robin' )

		) );

		// If "Crop Images" is set
		$brnhmbx_robin_imageWidth = 1200;
		$brnhmbx_robin_imageHeight = '';
		$brnhmbx_robin_thumbnailImageWidth = get_theme_mod( 'brnhmbx_robin_thumbnailImageWidth', 600 );
		$brnhmbx_robin_thumbnailImageHeight = get_theme_mod( 'brnhmbx_robin_thumbnailImageHeight', 400 );
		$brnhmbx_robin_sliderWidth = 1200;
		$brnhmbx_robin_sliderHeight = 600;

		if  ( get_theme_mod( 'brnhmbx_robin_imageWidth' ) ) {

			$brnhmbx_robin_imageWidth = get_theme_mod( 'brnhmbx_robin_imageWidth', 1200 );

		}

		if  ( get_theme_mod( 'brnhmbx_robin_imageHeight' ) ) {

			$brnhmbx_robin_imageHeight = get_theme_mod( 'brnhmbx_robin_imageHeight', 0 );

		}

		if  ( get_theme_mod( 'brnhmbx_robin_sliderWidth' ) ) {

			$brnhmbx_robin_sliderWidth = get_theme_mod( 'brnhmbx_robin_sliderWidth', 1200 );

		}

		if  ( get_theme_mod( 'brnhmbx_robin_sliderHeight' ) ) {

			$brnhmbx_robin_sliderHeight = get_theme_mod( 'brnhmbx_robin_sliderHeight', 600 );

		}

		// Add featured image support. Works for only new added images.
		add_theme_support( 'post-thumbnails' );
		set_post_thumbnail_size( esc_attr( $brnhmbx_robin_imageWidth ), esc_attr( $brnhmbx_robin_imageHeight ), true ); // Featured Image
		add_image_size( 'brnhmbx-robin-slider-image', esc_attr( $brnhmbx_robin_sliderWidth ), esc_attr( $brnhmbx_robin_sliderHeight ), array( 'center', 'top' ) ); // Slider Images
		add_image_size( 'brnhmbx-robin-small-thumbnail-image', 150, 100, array( 'center', 'top' ) ); // Small Thumbnail Image
		add_image_size( 'brnhmbx-robin-thumbnail-image', esc_attr( $brnhmbx_robin_thumbnailImageWidth ), esc_attr( $brnhmbx_robin_thumbnailImageHeight ), array( 'center', 'top' ) ); // Thumbnail Image

		// Add post type support
		add_theme_support( 'post-formats', array( 'gallery', 'video', 'aside', 'link' ) );

		// Add automatic feed links support
		add_theme_support( 'automatic-feed-links' );

		// Add title-tag support
		add_theme_support( 'title-tag' );

		// Add text-domain
		load_theme_textdomain( 'robin', get_template_directory() . '/languages ');

		// Add WooCommerce support
		add_theme_support( 'woocommerce' );
		add_theme_support( 'wc-product-gallery-lightbox' );
		add_theme_support( 'wc-product-gallery-slider' );

		// Add wide images support for Gutenberg
		add_theme_support( 'gutenberg', array( 'wide-images' => true ) );

	}
}
add_action( 'after_setup_theme', 'robin_themeSetup' );
/* */

/* Find all galleries and make them slider. */
if ( !function_exists( 'robin_check_gutenberg_gallery' ) ) {
	function robin_check_gutenberg_gallery() {

		global $post, $gutenberg_first_image;

		$image_list = '';

		$doc = new DOMDocument();
		libxml_use_internal_errors( true );
		$doc->loadHTML( $post->post_content );
		$xpath = new DOMXPath( $doc );

		$first = true;
		foreach ( $xpath->query('//li[@class="blocks-gallery-item"]/figure/img/@src') as $attr ) {

		  $src = $attr->value;

			if ( $first ) {
				$gutenberg_first_image = $src;
				$first = false;
			}

			$image_list .= '<li><img alt="theme-img-alt" src="' . esc_url( $src ) . '"></li>';

		}

		if ( $image_list ) {

			$image_list = '<ul class="bxslider">' . wp_kses_post( $image_list );
			$image_list .= '</ul>';

		}

		return $image_list;

	}
}

if ( !function_exists( 'robin_galleryToSlider' ) ) {
	function robin_galleryToSlider( $content ) {

		global $post;

		// Make sure the post format is gallery
		if ( !has_post_format( 'gallery' ) ) {

			return $content;

		}

		// Make sure the post has a gallery in it
		if ( !has_shortcode( $post->post_content, 'gallery' ) ) {

			if ( robin_check_gutenberg_gallery() ) {

				echo robin_check_gutenberg_gallery();

			} else {

				return $content;

			}

		} else {

			// Retrieve the galleries in the post
			$galleries = get_post_galleries_images( $post );

			$image_list = '<ul class="bxslider">';

			// Loop through all galleries found
			foreach( $galleries as $gallery ) {

				// Loop through each image in each gallery
				foreach( $gallery as $image_url ) {

					$image_list .= '<li><img alt="theme-img-alt" src="' . esc_url( $image_url ) . '"></li>';

				}

			}

			$image_list .= '</ul>';

			return $image_list;

		}

	}
}
/* */

/* Get the first image of the post/gallery */
if ( !function_exists( 'robin_getTheFirstImage' ) ) {
	function robin_getTheFirstImage() {

		global $post;

		$image_list = '';
		$first_img = '';
		$firstBo = true;
		ob_start();
		ob_end_clean();

		// Retrieve the galleries in the post
		$galleries = get_post_galleries_images( $post );

		// Check if has a gallery
		if ( $galleries ) {

			// Loop through all galleries found
			foreach( $galleries as $gallery ) {

				// Loop through each image in each gallery
				foreach( $gallery as $image_url ) {

					$image_list = $image_url;

					if ( $firstBo ) {

						$first_img = $image_list;
						$firstBo = false;

					}

				}

			}

			if ( empty( $first_img ) ) {

				$first_img = 'none';

			}

			return $first_img;

		} else if ( robin_check_gutenberg_gallery() ) {

			// Gutenberg gallery block check
			robin_check_gutenberg_gallery();
			global $gutenberg_first_image;
			return $gutenberg_first_image;

		} else {

			// Has no gallery, check if has an image
			$output = preg_match_all( '/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches );

			if ( $output ) {

				$first_img = $matches[1][0];

			} else {

				$first_img = 'none';

			}

			return $first_img;

		}

	}
}
/* */

/* Clear White Space */
if ( !function_exists( 'robin_compress' ) ) {
	function robin_compress( $buffer ) {

		$buffer = preg_replace( '~>\s+<~', '><', $buffer );
		return $buffer;

	}
}
/* */

/* Content Filter */
if ( !function_exists( 'robin_filterContent' ) ) {
	function robin_filterContent( $content ) {

		global $post;

		// Add bxslider-vid class to iframes to make the videos responsive in posts
		$content = preg_replace( array( '{<iframe}', '{</iframe>}' ), array( '<ul class="bxslider-vid"><li><iframe', '</iframe></li></ul>' ), $content );

		return $content;

	}
}
add_filter( 'the_content', 'robin_filterContent' );
/* */

/* Add responsive container to embeds for wordpress.tv */
if ( !function_exists( 'robin_embed_html' ) ) {
	function robin_embed_html( $html ) {

		$html = preg_replace( array( '{<embed src="//v.wordpress}', '{wmode="transparent">}' ), array( '<div class="video-container"><embed src="//v.wordpress', 'wmode="transparent"></div>' ), $html );

		return $html;

	}
}
add_filter( 'embed_oembed_html', 'robin_embed_html', 10, 3 );
/* */

/* Find all videos and make them slider */
if ( !function_exists( 'robin_videoToSlider' ) ) {
	function robin_videoToSlider() {

		global $post;

		$result = '';
		ob_start();
		ob_end_clean();
		$output = preg_match_all( '/\[embed(.*)](.*)\[\/embed]/', $post->post_content, $matches );
		$output_gutenberg = preg_match_all( "'<figure class=\"(.*?)is-type-video(.*?)\">(.*?)</figure>'si", $post->post_content, $matches_gutenberg );


		// Make sure the post has a video in it
		if ( $output || $output_gutenberg ) {

			$result = '<ul class="bxslider bxslider-vid">';

		} else {

			$result = 'none';

		}

		if ( $output ) {

			// Replace/remove/add necessary things for Vimeo and YouTube
			for( $i = 0; $i < $output; $i++ ) {

				$result .= '<li>' . preg_replace( array( '/\[embed]/', '/\[\/embed]/', '{https://vimeo.com}', '{watch?.*?v=}', '/&#.*? /' ), array( '<iframe style="border: none;" src="', ' " width="500" height="281" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>', '//player.vimeo.com/video', 'embed/', '?enablejsapi=1' ), esc_attr( $matches[0][$i] ) ) . '</li>';

			}

		}

		if ( $output_gutenberg ) {

			// Replace/remove/add necessary things for Vimeo and YouTube
			for( $j = 0; $j < $output_gutenberg; $j++ ) {

				$result .= '<li>' . preg_replace( array( '/&lt;figure class=&quot;(.*?)is-type-video(.*?)&quot;&gt;/', '/&lt;div class=&quot;(.*?)wp-block-embed__wrapper(.*?)&quot;&gt;/', '/&lt;\/div&gt;/', '/&lt;\/figure&gt;/', '{https://vimeo.com}', '{watch?.*?v=}', '/&#.*? /' ), array( '<iframe style="border: none;" src="', '', '', ' " width="500" height="281" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>', '//player.vimeo.com/video', 'embed/', '?enablejsapi=1' ), esc_attr( $matches_gutenberg[0][$j] ) ) . '</li>';

			}

		}

		if ( $output || $output_gutenberg ) {

			$result .= '</ul>';

		}

		return $result;

	}
}
/* */

/* Remove embed and gallery tags */
if ( !function_exists( 'robin_clearEmbeds' ) ) {
	function robin_clearEmbeds() {

		$replaceEmbeddedVideo = '/\<ul class="bxslider-vid"(.*)\<\/ul>/';

		$result = preg_replace(
			array( $replaceEmbeddedVideo ),
			array( '' ),
			robin_formatGetTheContent() );

		return $result;

	}
}
/* */

/* Formatting the content like "the_content" while using "get_the_content" */
if ( !function_exists( 'robin_formatGetTheContent' ) ) {
	function robin_formatGetTheContent( $more_link_text = null, $stripteaser = false ) {

		$content = get_the_content( $more_link_text, $stripteaser );
		$content = apply_filters( 'the_content', $content );
		return $content;

	}
}
/* */

/* Combine Listing Styles */
if ( !function_exists( 'robin_callPostOrder' ) ) {
	function robin_callPostOrder() {

		//Call the post order in the loop
		global $brnhmbx_robin_counter;
		return $brnhmbx_robin_counter;

	}
}

if ( !function_exists( 'robin_checkStyle_Z' ) ) {
	function robin_checkStyle_Z() {

		$brnhmbx_robin_postPerPage = get_option( 'posts_per_page' );
		$brnhmbx_robin_styleZ_count = get_theme_mod( 'brnhmbx_robin_styleZ_count', 0 );

		if ( $brnhmbx_robin_styleZ_count > $brnhmbx_robin_postPerPage ) {

			$brnhmbx_robin_styleZ_count = 0;

		}

		$brnhmbx_robin_postOrder = robin_callPostOrder();
		$brnhmbx_robin_postOrder ++;
		$brnhmbx_robin_styleZ_boo = false;

		if ( $brnhmbx_robin_styleZ_count == 0 || is_single() ) {

			$brnhmbx_robin_styleZ_boo = false;

		} else {

			if ( $brnhmbx_robin_postOrder > $brnhmbx_robin_postPerPage - $brnhmbx_robin_styleZ_count ) {

				$brnhmbx_robin_styleZ_boo = true;

			}

		}

		if ( is_search() ) {

			$brnhmbx_robin_styleZ_boo = true;

		}

		return $brnhmbx_robin_styleZ_boo;

	}
}
/* */

/* Set "Read More" button */
if ( !function_exists( 'robin_setMoreButton' ) ) {
	function robin_setMoreButton() {

		global $post;

		$brnhmbx_robin_icon = get_theme_mod( 'brnhmbx_robin_iconAsterisk', '-' );

		$brnhmbx_robin_tra_ReadMore = esc_html__( 'Read More', 'robin' );

		if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

		$brnhmbx_robin_tra_ReadMore = get_theme_mod( 'brnhmbx_robin_tra_ReadMore', 'Read More' );

		}

		$brnhmbx_robin_readMore_1 = '<div class="btnReadMore brnhmbx-font-1 fs20"><a href="';
		$brnhmbx_robin_readMore_2 = '<span class="robin-icon-asterisk mr5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' . esc_attr( $brnhmbx_robin_tra_ReadMore ) . '<span class="robin-icon-asterisk ml5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' . '</a></div>';

		if ( get_theme_mod( 'brnhmbx_robin_sh_btnReadMore', 1 ) && !is_single() ) {

			if( !strstr( $post->post_content, '<!--more-->' ) ) { return '...' . $brnhmbx_robin_readMore_1 . esc_url( get_permalink() ) . '">' . $brnhmbx_robin_readMore_2; }

		}

	}
}
add_filter( 'excerpt_more', 'robin_setMoreButton' );
/* */

/* Append "Read More" button */
if ( !function_exists( 'robin_appendMoreButton' ) ) {
	function robin_appendMoreButton() {

		global $post;

		$brnhmbx_robin_icon = get_theme_mod( 'brnhmbx_robin_iconAsterisk', '-' );

		$brnhmbx_robin_tra_ReadMore = esc_html__( 'Read More', 'robin' );

		if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

		$brnhmbx_robin_tra_ReadMore = get_theme_mod( 'brnhmbx_robin_tra_ReadMore', 'Read More' );

		}

		$brnhmbx_robin_readMore_1 = '<div class="btnReadMore brnhmbx-font-1 fs20"><a href="';
		$brnhmbx_robin_readMore_2 = '<span class="robin-icon-asterisk mr5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' . esc_attr( $brnhmbx_robin_tra_ReadMore ) . '<span class="robin-icon-asterisk ml5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' . '</a></div>';

		if ( get_theme_mod( 'brnhmbx_robin_sh_Excerpt_Home', 1 ) ) {

			echo '<div class="article-pure-content clearfix fs16 brnhmbx-font-2">';

			if( strstr( $post->post_content, '<!--more-->' ) ) {

				$excerpt = get_the_excerpt();

				if ( get_theme_mod( 'brnhmbx_robin_sh_btnReadMore', 1 ) ) {

					echo wp_kses_post( $excerpt ) . $brnhmbx_robin_readMore_1 . esc_url( get_permalink() ) . '">' . $brnhmbx_robin_readMore_2 . '</div>';

				}

			} else {

				if ( $post->post_excerpt ) {

					$excerpt = get_the_excerpt();

					if ( get_theme_mod( 'brnhmbx_robin_sh_btnReadMore', 1 ) ) {

						echo wp_kses_post( $excerpt ) . $brnhmbx_robin_readMore_1 . esc_url( get_permalink() ) . '">' . $brnhmbx_robin_readMore_2 . '</div>';

					} else {

						echo wp_kses_post( $excerpt ) . '</div>';

					}

				} else {

					echo get_the_excerpt();
					echo '</div>';

				}

			}

		}

	}
}
/* */

/* Apply layout options */
if ( !function_exists( 'robin_applyLayout' ) ) {
	function robin_applyLayout() {

		/* Radio Default Values */
		$brnhmbx_robin_opt_Layout = get_theme_mod( 'brnhmbx_robin_opt_Layout', '1col_sidebar' );
		$brnhmbx_robin_opt_Layout_Archive = get_theme_mod( 'brnhmbx_robin_opt_Layout_Archive', '2col_sidebar' );
		/* */

		$layout = '';

		if ( function_exists( 'WC' ) && is_woocommerce() && !is_page() ) {

			$brnhmbx_sh_SidebarShop = get_theme_mod( 'brnhmbx_sh_SidebarShop', 1 );
			$brnhmbx_sh_SidebarProduct = get_theme_mod( 'brnhmbx_sh_SidebarProduct', 1 );
			$layout = '';

			if ( ( is_shop() || is_product_category() || is_product_tag() ) && $brnhmbx_sh_SidebarShop ) { $layout = '-sidebar'; }
			if ( is_product() && $brnhmbx_sh_SidebarProduct ) { $layout = '-sidebar'; }

		} else if ( is_single() ) {

			if ( !is_attachment() ) {

				if ( ( get_post_format() == '' || get_post_format() == 'aside' || get_post_format() == 'link' ) && get_theme_mod( 'brnhmbx_robin_sh_SidebarPost_Standard', 1 ) ) {

					// Show sidebar at standard posts
					$layout = '-sidebar';

				} else if ( get_post_format() == 'gallery' && get_theme_mod( 'brnhmbx_robin_sh_SidebarPost_Gallery', 1 ) ) {

					// Show sidebar at gallery posts
					$layout = '-sidebar';

				} else if ( get_post_format() == 'video' && get_theme_mod( 'brnhmbx_robin_sh_SidebarPost_Video', 1 ) ) {

					// Show sidebar at video posts
					$layout = '-sidebar';

				}

			}

		} else if ( is_category() || is_author() || is_tag() || is_archive() || is_search() ) {

			if ( $brnhmbx_robin_opt_Layout_Archive == '1col' ) {

				// No sidebar
				$layout = '';

			} else if ( $brnhmbx_robin_opt_Layout_Archive == '2col' ) {

				// 2 columns //-c(olumn)c(ount)2
				$layout = '-cc2';

			} else if ( $brnhmbx_robin_opt_Layout_Archive == '3col' || $brnhmbx_robin_opt_Layout_Archive == '2_3col' ) {

				// 3 columns //-c(olumn)c(ount)3
				$layout = '-cc3';

			} else if ( $brnhmbx_robin_opt_Layout_Archive == '1col_sidebar' ) {

				// Columns + Sidebar
				$layout = '-sidebar';

			} else if ( $brnhmbx_robin_opt_Layout_Archive == '2col_sidebar' || $brnhmbx_robin_opt_Layout_Archive == '1_2col_sidebar' ) {

				// Columns + Sidebar
				$layout = '-sidebar-cc2';

			}

		} else if ( is_page() ) {

			if ( function_exists( 'WC' ) && ( is_cart() || is_account_page() || is_checkout() ) ) {

				$layout = '';

			} else {

				if ( get_theme_mod( 'brnhmbx_robin_sh_SidebarInnerPage', 1 ) ) {

					// Show sidebar on inner pages
					$layout = '-sidebar';

				}

			}

		} else if ( is_404() ) {

			$layout = '';

		} else {

			if ( $brnhmbx_robin_opt_Layout == '1col' ) {

				// No sidebar
				$layout = '';

			} else if ( $brnhmbx_robin_opt_Layout == '2col' ) {

				// 2 columns //-c(olumn)c(ount)2
				$layout = '-cc2';

			} else if ( $brnhmbx_robin_opt_Layout == '3col' || $brnhmbx_robin_opt_Layout == '2_3col' ) {

				// 3 columns //-c(olumn)c(ount)3
				$layout = '-cc3';

			} else if ( $brnhmbx_robin_opt_Layout == '1col_sidebar' ) {

				// Columns + Sidebar
				$layout = '-sidebar';

			} else if ( $brnhmbx_robin_opt_Layout == '2col_sidebar' || $brnhmbx_robin_opt_Layout == '1_2col_sidebar' ) {

				// Columns + Sidebar
				$layout = '-sidebar-cc2';

			}

		}

		return $layout;

	}
}
/* */

/* Apply column options */
if ( !function_exists( 'robin_applyColumns' ) ) {
	function robin_applyColumns() {

		/* Radio Default Values */
		$brnhmbx_robin_opt_Layout = get_theme_mod( 'brnhmbx_robin_opt_Layout', '1col_sidebar' );
		$brnhmbx_robin_opt_Layout_Archive = get_theme_mod( 'brnhmbx_robin_opt_Layout_Archive', '2col_sidebar' );
		/* */

		$column = '';

		if ( is_category() || is_author() || is_tag() || is_archive() || is_search() ) {

			if ( $brnhmbx_robin_opt_Layout_Archive == '1col' ) {

				// No sidebar
				$column = '';

			} else if ( $brnhmbx_robin_opt_Layout_Archive == '2col' ) {

				// 2 Columns (No sidebar)
				$column = 'col-1-2';

			} else if ( $brnhmbx_robin_opt_Layout_Archive == '3col' || $brnhmbx_robin_opt_Layout_Archive == '2_3col' ) {

				// 3 Columns (No sidebar)
				$column = 'col-1-3';

			} else if ( $brnhmbx_robin_opt_Layout_Archive == '1col_sidebar' ) {

				// 1 Column + Sidebar
				$column = '';

			} else if ( $brnhmbx_robin_opt_Layout_Archive == '2col_sidebar' || $brnhmbx_robin_opt_Layout_Archive == '1_2col_sidebar' ) {

				// 2 Columns + Sidebar
				$column = 'col-1-2-sidebar';

			}

		} else {

			if ( $brnhmbx_robin_opt_Layout == '1col' ) {

				// No sidebar
				$column = '';

			} else if ( $brnhmbx_robin_opt_Layout == '2col' ) {

				// 2 Columns (No sidebar)
				$column = 'col-1-2';

			} else if ( $brnhmbx_robin_opt_Layout == '3col' || $brnhmbx_robin_opt_Layout == '2_3col' ) {

				// 3 Columns (No sidebar)
				$column = 'col-1-3';

			} else if ( $brnhmbx_robin_opt_Layout == '1col_sidebar' ) {

				// 1 Column + Sidebar
				$column = '';

			} else if ( $brnhmbx_robin_opt_Layout == '2col_sidebar' || $brnhmbx_robin_opt_Layout == '1_2col_sidebar' ) {

				// 2 Columns + Sidebar
				$column = 'col-1-2-sidebar';

			}

		}

		return $column;

	}
}
/* */

/* Pagination */
if ( !function_exists( 'robin_Pagination' ) ) {
	function robin_Pagination() {

		global $wp_query, $indexPosts;

		$brnhmbx_robin_icon = get_theme_mod( 'brnhmbx_robin_iconAsterisk', '-' );

		$brnhmbx_robin_big = 999999999; // need an unlikely integer

		if ( get_theme_mod( 'brnhmbx_robin_bptsExclude', '0' ) ) {

			if ( is_home() ) {

				$brnhmbx_robin_current_query_mnp = $indexPosts->max_num_pages;

			} else {

				$brnhmbx_robin_current_query_mnp = $wp_query->max_num_pages;

			}

		} else {

			$brnhmbx_robin_current_query_mnp = $wp_query->max_num_pages;

		}

		$brnhmbx_robin_tra_Newer = esc_html__( 'Newer', 'robin' );
		$brnhmbx_robin_tra_Older = esc_html__( 'Older', 'robin' );

		if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

		$brnhmbx_robin_tra_Newer = get_theme_mod( 'brnhmbx_robin_tra_Newer', 'Newer' );
		$brnhmbx_robin_tra_Older = get_theme_mod( 'brnhmbx_robin_tra_Older', 'Older' );

		}

		$brnhmbx_robin_paginate_links = paginate_links( array(

			'base' => str_replace( $brnhmbx_robin_big, '%#%', esc_url( get_pagenum_link( $brnhmbx_robin_big ) ) ),
			'format' => '?paged=%#%',
			'current' => max( 1, get_query_var( 'paged' ) ),
			'total' => $brnhmbx_robin_current_query_mnp,
			'prev_text'          => '<span class="robin-icon-asterisk mr5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' . esc_attr( $brnhmbx_robin_tra_Newer ) . '<span class="robin-icon-asterisk ml5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>',
			'next_text'          => '<span class="robin-icon-asterisk mr5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' . esc_attr( $brnhmbx_robin_tra_Older ) . '<span class="robin-icon-asterisk ml5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>',
			'before_page_number' => '<span class="page-number-inner brnhmbx-font-1 fw700 fs16">',
			'after_page_number' => '</span>',
			'end_size'           => 1,
			'mid_size'           => 1

		) );

		if ( $brnhmbx_robin_paginate_links ) {

			echo '<div class="pagenavi clearfix brnhmbx-font-1 fw700 fs16';

			if ( get_query_var( 'paged' ) <= 1 ) {

				echo ' pagenavi-fp';

			} else if ( get_query_var( 'paged' ) == $brnhmbx_robin_current_query_mnp ) {

				echo ' pagenavi-lp';

			} else {

				echo ' pagenavi-cp';

			}

			echo '">';
			echo wp_kses_post( $brnhmbx_robin_paginate_links );
			echo '</div>';

		}

	}
}
/* */

/* Social Icons */
if ( !function_exists( 'robin_placeSocialIcons' ) ) {
	function robin_placeSocialIcons( $location ) {

		$brnhmbx_robin_social_accounts = array(
			get_theme_mod( 'brnhmbx_robin_social_Facebook' ),
			get_theme_mod( 'brnhmbx_robin_social_Twitter' ),
			get_theme_mod( 'brnhmbx_robin_social_Instagram' ),
			get_theme_mod( 'brnhmbx_robin_social_Pinterest' ),
			get_theme_mod( 'brnhmbx_robin_social_Google' ),
			get_theme_mod( 'brnhmbx_robin_social_Tumblr' ),
			get_theme_mod( 'brnhmbx_robin_social_Flickr' ),
			get_theme_mod( 'brnhmbx_robin_social_Digg' ),
			get_theme_mod( 'brnhmbx_robin_social_LinkedIn' ),
			get_theme_mod( 'brnhmbx_robin_social_Vimeo' ),
			get_theme_mod( 'brnhmbx_robin_social_YouTube' ),
			get_theme_mod( 'brnhmbx_robin_social_Behance' ),
			get_theme_mod( 'brnhmbx_robin_social_Dribble' ),
			get_theme_mod( 'brnhmbx_robin_social_DeviantArt' ),
			get_theme_mod( 'brnhmbx_robin_social_Github' ),
			get_theme_mod( 'brnhmbx_robin_social_Bloglovin' ),
			get_theme_mod( 'brnhmbx_robin_social_Lastfm' ),
			get_theme_mod( 'brnhmbx_robin_social_SoundCloud' ),
			get_theme_mod( 'brnhmbx_robin_social_VK' )
		);

		$brnhmbx_robin_social_hdrs = array( 'facebook', 'twitter', 'instagram', 'pinterest', 'google+', 'tumblr', 'flickr', 'digg', 'linkedin', 'vimeo', 'youtube', 'behance', 'dribbble', 'deviant art', 'github', 'bloglovin', 'last fm', 'soundcloud', 'vk' );

		$brnhmbx_robin_social_faIcons = array(
			'fa-facebook',
			'fa-twitter',
			'fa-instagram',
			'fa-pinterest-p',
			'fa-google-plus',
			'fa-tumblr',
			'fa-flickr',
			'fa-digg',
			'fa-linkedin',
			'fa-vimeo',
			'fa-youtube',
			'fa-behance',
			'fa-dribbble',
			'fa-deviantart',
			'fa-github',
			'fa-heart',
			'fa-lastfm',
			'fa-soundcloud',
			'fa-vk'
		);

		$brnhmbx_robin_social_html = '<div class="' . esc_attr( $location ) . ' brnhmbx-font-2">';

		foreach ( $brnhmbx_robin_social_accounts as $key => $sa ) {

			if ( $sa != 'http://' && $sa != '' ) {

				$brnhmbx_robin_social_html .= '<a class="social-menu-item" href="' . esc_url( $sa ) . '" target="_blank"><i class="fa ' . esc_attr( $brnhmbx_robin_social_faIcons[ $key ] ) . '"></i><span>' . esc_html( $brnhmbx_robin_social_hdrs[ $key ] ) . '</span></a>';

			}

		}

		$brnhmbx_robin_social_html .= '</div>';

		return $brnhmbx_robin_social_html;

	}
}
/* */

/* Place Slider */
if ( !function_exists( 'robin_placeSlider' ) ) {
	function robin_placeSlider() {

		$sliderShortcode = get_theme_mod( 'brnhmbx_robin_sliderShortcode', '' );
		if ( get_theme_mod( 'brnhmbx_robin_staticfront', 0 ) ) {
			$sliderWhere = is_front_page();
		} else {
			$sliderWhere = is_home();
		}

		if ( $sliderShortcode ) {

			if ( $sliderWhere ) {

				if ( get_theme_mod( 'brnhmbx_robin_opt_SliderHomeView', 'home-front' ) == 'home-all' ) {

					echo do_shortcode( esc_attr( $sliderShortcode ) );

				} else if ( get_theme_mod( 'brnhmbx_robin_opt_SliderHomeView', 'home-front' ) == 'home-front' && get_query_var( 'paged' ) <= 1 ) {

					echo do_shortcode( esc_attr( $sliderShortcode ) );

				} else if ( get_theme_mod( 'brnhmbx_robin_opt_SliderHomeView', 'home-front' ) == 'home-hide' ) {

					//Hide Slider

				}

			}

			if ( is_archive() && get_theme_mod( 'brnhmbx_robin_sh_SliderArchive', 0 ) ) {

				echo do_shortcode( esc_attr( $sliderShortcode ) );

			}

			if ( is_single() && get_theme_mod( 'brnhmbx_robin_sh_SliderPost', 0 ) ) {

				echo do_shortcode( esc_attr( $sliderShortcode ) );

			}

		}

	}
}
/* */

/* "Show Blog Posts" Feature for Slider */
if ( !function_exists( 'robin_blogPostsToSlider' ) ) {
	function robin_blogPostsToSlider() {

		$category = get_theme_mod( 'brnhmbx_robin_sliderCategory', '' );

		if ( $category ) {

			$loop_args = array(

				'showposts' => get_theme_mod( 'brnhmbx_robin_bptsNumber', '5' ),
				'category_name' => $category,
				'ignore_sticky_posts' => 1

			);

		} else {

			$loop_args = array(

				'showposts' => get_theme_mod( 'brnhmbx_robin_bptsNumber', '5' ),
				'ignore_sticky_posts' => 1

			);

		}

		$wp_query = new WP_Query( $loop_args );
		$slides = array();

		$brnhmbx_robin_sliderHeight = get_theme_mod( 'brnhmbx_robin_sliderHeight', 600 );
		$brnhmbx_robin_icon = get_theme_mod( 'brnhmbx_robin_iconAsterisk', '-' );

		if ( $wp_query->have_posts() ) {

			while ( $wp_query->have_posts() ) {

				$wp_query->the_post();
				$img_path = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'brnhmbx-robin-slider-image' );
				$url = get_the_permalink();
				$button_target = '_self';

				$linker_open = '';
				$linker_close = '';
				$padding_if_not_empty = '';

				$slide_image = get_template_directory_uri() . '/css/images/image-placeholder.jpg';
				$header = '';

				$caption_text = get_the_excerpt();
				$replaceCaptionReadMore = '/\<div class="btnReadMore(.*)\<\/div>/';
				$caption_final_text = preg_replace( $replaceCaptionReadMore, '', $caption_text );
				$caption = '';
				$padding_caption = '';

				$date = '';
				$comment_icon = '';
				$padding_comment_icon = '';
				$categories = '';

				//

				if ( $url != '' && $url != 'http://' ) {

					$linker_open = '<a class="slide-a" href="' . esc_url( $url ) . '" target="' . esc_attr( $button_target ) . '">';
					$linker_close = '</a>';
				}

				//

				if ( $img_path ) {

					$slide_image = $img_path[0];

				}

				//

				if ( get_the_title() ) {

					$header = '<div class="slider-header brnhmbx-font-1 fw700">' . get_the_title() . '</div>';
					$padding_caption = 'padding-top: 10px; padding-bottom: 5px;';

				}

				//

				if ( $caption_text && get_theme_mod( 'brnhmbx_robin_bptsCaption', 1 ) ) {

					$caption = '<div class="slider-caption brnhmbx-font-2 " style="' . esc_attr( $padding_caption ) . '">' . esc_attr( $caption_final_text ) . '</div>';

				}

				//

				if ( get_theme_mod( 'brnhmbx_robin_bptsDate', 1 ) ) {

					$date = '<div class="slider-date brnhmbx-font-3">' . get_the_date() . '</div>';
					$padding_comment_icon = 'margin-left: 30px;';

				}

				//

				if ( get_theme_mod( 'brnhmbx_robin_bptsComment', 1 ) && comments_open() ) {

					$brnhmbx_robin_tra_comment = esc_html__( 'comment', 'robin' );
					$brnhmbx_robin_tra_comments = esc_html__( 'comments', 'robin' );

					if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

					$brnhmbx_robin_tra_comment = get_theme_mod( 'brnhmbx_robin_tra_comment', 'comment' );
					$brnhmbx_robin_tra_comments = get_theme_mod( 'brnhmbx_robin_tra_comments', 'comments' );

					}

					if ( get_comments_number() <= 1 ) { $comment_icon_text = esc_attr( $brnhmbx_robin_tra_comment ); } else { $comment_icon_text = esc_attr( $brnhmbx_robin_tra_comments ); }

					$comment_icon = '<div class="slider-comment-icon brnhmbx-font-3" style="' . esc_attr( $padding_comment_icon ) . '"><div class="slider-comment-icon-inner"><i class="fa fa-comment"></i></div><div class="slider-comment-icon-number">' . get_comments_number() . ' ' . esc_html( $comment_icon_text ) . '</div></div>';

				}

				//

				$categories = '<div class="slider-categories brnhmbx-font-3">';

				$brnhmbx_robin_categories = get_the_category();
				$brnhmbx_robin_separator = ', ';
				$brnhmbx_robin_output = '';

				if ( $brnhmbx_robin_categories && get_theme_mod( 'brnhmbx_robin_bptsCategories', 1 ) ) {

					foreach( $brnhmbx_robin_categories as $brnhmbx_robin_category ) {

						$brnhmbx_robin_output .= esc_attr( $brnhmbx_robin_category->cat_name ) . wp_kses_post( $brnhmbx_robin_separator );

					}

					$categories .= trim( $brnhmbx_robin_output, $brnhmbx_robin_separator );

					$categories .= '</div>';

				} else {

					$categories = '';

				}

				//

				if ( $caption || $header || $date || $comment_icon || $categories ) { $padding_if_not_empty = ' slide-text-padding'; }

				$slide_info = 'slide-info';

				//

				$read_more = '';

				if ( get_theme_mod( 'brnhmbx_robin_bptsReadMore', 1 ) ) {

					$brnhmbx_robin_tra_ReadMore = esc_html__( 'Read More', 'robin' );

					if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

					$brnhmbx_robin_tra_ReadMore = get_theme_mod( 'brnhmbx_robin_tra_ReadMore', 'Read More' );

					}

					$read_more = '<div class="btnReadMore fs20 brnhmbx-font-1"><span class="robin-icon-asterisk mr5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' . esc_attr( $brnhmbx_robin_tra_ReadMore ) . '<span class="robin-icon-asterisk ml5">' . esc_attr( $brnhmbx_robin_icon ) . '</span></div>';

				}

				//

				$slides[] = '
				<li>' . wp_kses_post( $linker_open ) . '<div class="slide-container" style="background-image: url(' . esc_url( $slide_image ) . '); height: ' . esc_attr( $brnhmbx_robin_sliderHeight ) . 'px;">
					<div class="slide-info-outer">
						<div class="' . esc_attr( $slide_info ) . '">
							<div class="slide-info-inner">
								<div class="slide-text' . esc_attr( $padding_if_not_empty ) . '">' . wp_kses_post( $date ) . wp_kses_post( $comment_icon ) . wp_kses_post( $header ) . wp_kses_post( $caption ) . wp_kses_post( $read_more ) . wp_kses_post( $categories ) . '</div>
							</div>
						</div>
					</div>
				</div>' . wp_kses_post( $linker_close ) . '</li>';

			}

		}

		wp_reset_postdata();

		$bpts = '<div class="robin-slider-container clearfix"><ul class="bxslider-main" style="overflow: hidden; height: ' . esc_attr( $brnhmbx_robin_sliderHeight ) . 'px;">' . implode( '', $slides ) . '</ul></div>';

		if ( get_theme_mod( 'brnhmbx_robin_bpts', '0' ) ) {

			if ( is_home() ) {

				if ( get_theme_mod( 'brnhmbx_robin_opt_SliderHomeView', 'home-front' ) == 'home-all' ) {

					echo wp_kses_post( $bpts );

				} else if ( get_theme_mod( 'brnhmbx_robin_opt_SliderHomeView', 'home-front' ) == 'home-front' && get_query_var( 'paged' ) <= 1 ) {

					echo wp_kses_post( $bpts );

				} else if ( get_theme_mod( 'brnhmbx_robin_opt_SliderHomeView', 'home-front' ) == 'home-hide' ) {

					//Hide Slider

				}

			}

			if ( is_archive() && get_theme_mod( 'brnhmbx_robin_sh_SliderArchive', 0 ) ) {

				echo wp_kses_post( $bpts );

			}

			if ( is_single() && get_theme_mod( 'brnhmbx_robin_sh_SliderPost', 0 ) ) {

				echo wp_kses_post( $bpts );

			}

		}

	}
}
/* */

/* Exclude posts when "Show Blog Posts in Slider" is chosen */
if ( !function_exists( 'robin_excludePostsUsedInSlider' ) ) {
	function robin_excludePostsUsedInSlider() {

		$excludePostIDs = array();

		if ( get_theme_mod( 'brnhmbx_robin_bpts', 0 ) ) {

			$category = get_theme_mod( 'brnhmbx_robin_sliderCategory', '' );

			if ( $category ) {

				$loop_args = array(

					'showposts' => get_theme_mod( 'brnhmbx_robin_bptsNumber', '5' ),
					'category_name' => $category,
					'ignore_sticky_posts' => 1

				);

			} else {

				$loop_args = array(

					'showposts' => get_theme_mod( 'brnhmbx_robin_bptsNumber', '5' ),
					'ignore_sticky_posts' => 1

				);

			}

			$wp_query = new WP_Query( $loop_args );

			if ( $wp_query->have_posts() ) {

				while ( $wp_query->have_posts() ) {

					$wp_query->the_post();
					array_push( $excludePostIDs, get_the_ID() );

				}

			}

			wp_reset_postdata();

		} else {

			$loop_args = array(

					'post_type' => 'new_robin_slider',
					'ignore_sticky_posts' => 1

				);

			$wp_query = new WP_Query( $loop_args );

			if ( $wp_query->have_posts() ) {

				while ( $wp_query->have_posts() ) {

					$wp_query->the_post();
					array_push( $excludePostIDs, get_post_meta( get_the_ID(), 'new_robin-slide-to-post', true ) );

				}

			}

			wp_reset_postdata();

		}

		return $excludePostIDs;

	}
}
/* */

if ( !function_exists( 'robin_ourWidgetsInit' ) ) {
	function robin_ourWidgetsInit() {

		$brnhmbx_robin_icon = get_theme_mod( 'brnhmbx_robin_iconAsterisk', '-' );

		/* Get footer widgets column number */
		$fw_col_number = '';
		$uw_col_number = '';
		$hw_col_number = '';

		if ( get_theme_mod( 'brnhmbx_robin_footerWidgetsCol', '4col' ) == '2col' ) {

			$fw_col_number = '-col2';

		} else if ( get_theme_mod( 'brnhmbx_robin_footerWidgetsCol', '4col' ) == '4col' ) {

			$fw_col_number = '-col4';

		}

		if ( get_theme_mod( 'brnhmbx_robin_upperWidgetsCol', '3col' ) == '2col' ) {

			$uw_col_number = '-col2';

		}

		if ( get_theme_mod( 'brnhmbx_robin_homeWidgetsCol', '2col' ) == '2col' ) {

			$hw_col_number = '-col2';

		}

		//If layout has sidebar, go for -col2-sidebar
		if ( get_theme_mod( 'brnhmbx_robin_opt_Layout', '1col_sidebar' ) == '1col_sidebar' || get_theme_mod( 'brnhmbx_robin_opt_Layout', '1col_sidebar' ) == '2col_sidebar' || get_theme_mod( 'brnhmbx_robin_opt_Layout', '1col_sidebar' ) == '1_2col_sidebar' ) {

			$hw_col_number = '-col2-sidebar';

		}
		/* */

		$robin_widget_before_widget = '<div id="%1$s" class="widget-item clearfix %2$s"><div class="widget-item-inner">';
		$robin_widget_before_title = '<h2 class="brnhmbx-font-1"><span class="robin-icon-asterisk mr10">' . esc_attr( $brnhmbx_robin_icon ) . '</span><span class="widget-h2-inner">';
		$robin_widget_after_title = '</span><span class="robin-icon-asterisk ml10">' . esc_attr( $brnhmbx_robin_icon ) . '</span></h2><div class="robin-sep"></div>';
		$robin_widget_after_widget = '</div></div>';

		// Add Widget Areas
		register_sidebar( array(
			'name' => 'Sidebar - Home',
			'id' => 'brnhmbx_robin_sidebar_home',
			'before_widget' => $robin_widget_before_widget,
			'before_title' => $robin_widget_before_title,
			'after_title' => $robin_widget_after_title,
			'after_widget' => $robin_widget_after_widget,
		) );

		register_sidebar( array(
			'name' => 'Sidebar - Archive',
			'id' => 'brnhmbx_robin_sidebar_archive',
			'before_widget' => $robin_widget_before_widget,
			'before_title' => $robin_widget_before_title,
			'after_title' => $robin_widget_after_title,
			'after_widget' => $robin_widget_after_widget,
		) );

		register_sidebar( array(
			'name' => 'Sidebar - Page',
			'id' => 'brnhmbx_robin_sidebar_page',
			'before_widget' => $robin_widget_before_widget,
			'before_title' => $robin_widget_before_title,
			'after_title' => $robin_widget_after_title,
			'after_widget' => $robin_widget_after_widget,
		) );

		register_sidebar( array(
			'name' => 'Sidebar - Post',
			'id' => 'brnhmbx_robin_sidebar_post',
			'before_widget' => $robin_widget_before_widget,
			'before_title' => $robin_widget_before_title,
			'after_title' => $robin_widget_after_title,
			'after_widget' => $robin_widget_after_widget,
		) );

		register_sidebar( array(
			'name' => 'Upper Widgets',
			'id' => 'brnhmbx_robin_upper_widgets',
			'before_widget' => '<div class="widget-item-upper-outer' . esc_attr( $uw_col_number ) . '">' . wp_kses_post( $robin_widget_before_widget ),
			'before_title' => $robin_widget_before_title,
			'after_title' => $robin_widget_after_title,
			'after_widget' => $robin_widget_after_widget . '</div>',
		) );

		register_sidebar( array(
			'name' => 'Home Widgets',
			'id' => 'brnhmbx_robin_home_widgets',
			'before_widget' => '<div class="widget-item-home-outer' . esc_attr( $hw_col_number ) . '">' . wp_kses_post( $robin_widget_before_widget ),
			'before_title' => $robin_widget_before_title,
			'after_title' => $robin_widget_after_title,
			'after_widget' => $robin_widget_after_widget . '</div>',
		) );

		register_sidebar( array(
			'name' => 'Footer Widgets',
			'id' => 'brnhmbx_robin_footer_widgets',
			'before_widget' => '<div class="widget-item-footer-outer' . esc_attr( $fw_col_number ) . '"><div id="%1$s" class="widget-item-footer clearfix %2$s"><div class="widget-item-inner">',
			'before_title' => $robin_widget_before_title,
			'after_title' => $robin_widget_after_title,
			'after_widget' => $robin_widget_after_widget . '</div>',
		) );

		register_sidebar( array(
			'name' => 'WooCommerce Widgets',
			'id' => 'brnhmbx_robin_woo_widgets',
			'before_widget' => $robin_widget_before_widget,
			'before_title' => $robin_widget_before_title,
			'after_title' => $robin_widget_after_title,
			'after_widget' => $robin_widget_after_widget,
		) );

	}
}
add_action( 'widgets_init', 'robin_ourWidgetsInit' );

/* HEX to RGB */
if ( !function_exists( 'robin_hex2rgb' ) ) {
	function robin_hex2rgb( $hex ) {

		$hex = str_replace( '#', '', $hex );

		if ( strlen( $hex ) == 3 ) {

			$r = hexdec( substr( $hex, 0, 1 ).substr( $hex, 0, 1 ) );
			$g = hexdec( substr( $hex, 1, 1).substr( $hex, 1, 1 ) );
			$b = hexdec( substr( $hex, 2, 1).substr( $hex, 2, 1 ) );

		} else {

			$r = hexdec( substr( $hex, 0, 2 ) );
			$g = hexdec( substr( $hex, 2, 2 ) );
			$b = hexdec( substr( $hex, 4, 2 ) );

		}

		$rgb = array( $r, $g, $b );
		return implode( ',', $rgb ); // returns the rgb values separated by commas

	}
}
/* */

/* Customize Default Tag Cloud Widget */
if ( !function_exists( 'robin_listTagCloud' ) ) {
	function robin_listTagCloud( $args ) {

		$args['largest'] = 16;
		$args['smallest'] = 16;
		$args['unit'] = 'px';
		$args['format'] = 'list';
		return $args;

	}
}

if ( !function_exists( 'robin_defaultTagCloud' ) ) {
	function robin_defaultTagCloud( $args ) {

		$args['largest'] = 30;
		$args['smallest'] = 12;
		$args['unit'] = 'px';
		return $args;

	}
}

if ( get_theme_mod( 'brnhmbx_robin_sh_ListedTagCloud', 1 ) ) {

	add_filter( 'widget_tag_cloud_args', 'robin_listTagCloud' );

} else {

	add_filter( 'widget_tag_cloud_args', 'robin_defaultTagCloud' );

}
/* */

/* Author Box */
if ( !function_exists( 'robin_author_box' ) ) {
	function robin_author_box() {

		$brnhmbx_robin_tra_About = esc_html__( 'About', 'robin' );
		$brnhmbx_robin_tra_AllByAuthor = esc_html__( 'View All Posts by Author', 'robin' );
		$brnhmbx_robin_tra_AuthorWebsite = esc_html__( 'Visit Author Website', 'robin' );

		if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

		$brnhmbx_robin_tra_About = get_theme_mod( 'brnhmbx_robin_tra_About', 'About' );
		$brnhmbx_robin_tra_AllByAuthor = get_theme_mod( 'brnhmbx_robin_tra_AllByAuthor', 'View All Posts by Author' );
		$brnhmbx_robin_tra_AuthorWebsite = get_theme_mod( 'brnhmbx_robin_tra_AuthorWebsite', 'Visit Author Website' );

		}

		global $post;

		if ( is_single() && isset( $post->post_author ) ) {

			$display_name = get_the_author_meta( 'display_name', $post->post_author );

			if ( !$display_name ) {

				$display_name = get_the_author_meta( 'nickname', $post->post_author );

			}

			$user_description = get_the_author_meta( 'user_description', $post->post_author );
			$user_website = get_the_author_meta( 'url', $post->post_author );
			$user_posts = get_author_posts_url( get_the_author_meta( 'ID' , $post->post_author ) );

			$author_details = '<div class="author-avatar clearfix">' . get_avatar( get_the_author_meta( 'user_email' ) , 40 ) . esc_html( $brnhmbx_robin_tra_About ) . ' <a href="'. esc_url( $user_posts ) .'">' . esc_html( $display_name ) . '</a></div>';

			if ( $user_description ) {

				$author_details .= '<div class="author-bio brnhmbx-font-2">' . wp_kses_post( $user_description ) . '</div>';

			}

			$author_details .= '<div class="author-links author-all-posts"><a href="'. esc_url( $user_posts ) .'">' . esc_html( $brnhmbx_robin_tra_AllByAuthor ) . '</a></div>';

			if ( $user_website ) {

				$author_details .= '<div class="author-links author-website"><a href="' . esc_url( $user_website ) .'" target="_blank" rel="nofollow">' . esc_html( $brnhmbx_robin_tra_AuthorWebsite ) . '</a></div>';

			}

			$content = '<div class="author-box-outer clearfix brnhmbx-font-3 fs14"><div class="author-box' . robin_applyLayout() . '">' . wp_kses_post( $author_details ) . '</div></div>';

		}

		return $content;

	}
}

/* Assign Menu Warnings */
function robin_assign_PrimaryMenu() {
	echo '<div class="assign-menu brnhmbx-font-1">' . esc_html__( 'Please assign a Primary Menu.', 'robin' ) . '</div>';
}
function robin_assign_HeaderMenu() {
	echo '<div class="assign-menu brnhmbx-font-1">' . esc_html__( 'Please assign a Header Menu.', 'robin' ) . '</div>';
}
/* */

/* Related Products Count */
if ( !function_exists( 'robin_related_products_args' ) ) {
	function robin_related_products_args( $args ) {

		$args['posts_per_page'] = 4;
		$args['columns'] = 2;
		return $args;

	}
}
add_filter( 'woocommerce_output_related_products_args', 'robin_related_products_args' );
/* */

/* WooCommerce change number or products per row */
if ( !function_exists( 'robin_loop_columns' ) ) {

	function robin_loop_columns() {

		return 2;

	}

}
add_filter( 'loop_shop_columns', 'robin_loop_columns' );
/* */

/* Enqueue Gutenberg editor styles */
if ( !function_exists( 'robin_gutenberg_styles' ) ) {
	function robin_gutenberg_styles() {

		wp_enqueue_style( 'robin-fonts', robin_fonts_url(), array(), null );
		wp_enqueue_style( 'robin-gutenberg', get_template_directory_uri() . '/css/gutenberg-editor.css', false, '@@pkg.version', 'all' );
		wp_add_inline_style( 'robin-gutenberg', robin_rewrite_gutenberg_css() );
		wp_enqueue_script( 'robin-gutenberg-js', get_template_directory_uri() . '/js/gutenberg-editor.js', array( 'jquery' ), '', true );

		global $robin_gutenberg_css, $robin_gutenberg_css_gallery, $robin_gutenberg_css_video, $robin_gutenberg_css_standard;

		$params = array(
			'gallery' => wp_kses_post( $robin_gutenberg_css ) . wp_kses_post( $robin_gutenberg_css_gallery ),
			'video' => wp_kses_post( $robin_gutenberg_css ) . wp_kses_post( $robin_gutenberg_css_video ),
			'standard' => wp_kses_post( $robin_gutenberg_css ) . wp_kses_post( $robin_gutenberg_css_standard ),
		);

		wp_localize_script( 'robin-gutenberg-js', 'robin_gutenberg_params', $params );

	}
}
add_action( 'enqueue_block_editor_assets', 'robin_gutenberg_styles' );
/* */

/* Include the TGM_Plugin_Activation class. */
require_once get_template_directory() . '/lib/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'robin_register_required_plugins' );

if ( !function_exists( 'robin_register_required_plugins' ) ) {
	function robin_register_required_plugins() {

		$plugins = array(

			/*
			Contact Form 7
			Instagram Feed
			Regenerate Thumbnails
			Robin Components
			New Robin Slider
			Widget Importer & Exporter
			*/

			array(
				'name' => 'Widget Importer & Exporter',
				'slug' => 'widget-importer-exporter',
				'required' => false
			),

			array(
				'name' => 'Contact Form 7',
				'slug' => 'contact-form-7',
				'required' => false
			),

			array(
				'name' => 'Instagram Feed',
				'slug' => 'instagram-feed',
				'required' => false
			),

			array(
				'name' => 'Regenerate Thumbnails',
				'slug' => 'regenerate-thumbnails',
				'required' => false
			),

			array(
				'name' => 'Robin Components',
				'slug' => 'robin-components',
				'source' => get_template_directory() . '/lib/plugins/robin-components.zip',
				'required' => false,
			),

			array(
				'name' => 'New Robin Slider',
				'slug' => 'new-robin-slider',
				'source' => get_template_directory_uri() . '/lib/plugins/new-robin-slider.zip',
				'required' => false,
			),

		);

		$config = array(
			'id'           => 'robin',
			'default_path' => '',
			'menu'         => 'tgmpa-install-plugins',
			'has_notices'  => true,
			'dismissable'  => true,
			'dismiss_msg'  => '',
			'is_automatic' => false,
			'message'      => '',

		);

		tgmpa( $plugins, $config );

	}
}
/* */

/* Output Customize CSS */
if ( !function_exists( 'robin_rewriteCSS' ) ) {
	function robin_rewriteCSS() {

		$brnhmbx_robin_opt_SliderPosition = get_theme_mod( 'brnhmbx_robin_opt_SliderPosition', 'cover' );
		$brnhmbx_robin_opt_bxPagerPosition_Main = get_theme_mod( 'brnhmbx_robin_opt_bxPagerPosition_Main', 'center' );
		$brnhmbx_robin_sliderHideMobile = get_theme_mod( 'brnhmbx_robin_sliderHideMobile', 'always' );

		$menuContainerHeight = get_theme_mod( 'brnhmbx_robin_menuContainerHeight', '70' );
		$maxLogoHeight = get_theme_mod( 'brnhmbx_robin_maxLogoHeight', '50' );

		if ( $menuContainerHeight < 60 ) { $menuContainerHeight = 60; }
		if ( get_theme_mod( 'brnhmbx_robin_opt_LogoPos', 'logo-top' ) == 'logo-left' && $maxLogoHeight > $menuContainerHeight ) { $maxLogoHeight = $menuContainerHeight; }

			/* General */

			$robin_css = '

			body { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }

			';

			if ( get_theme_mod( 'brnhmbx_robin_upload_Background' ) ) {

				$robin_css .= '

				body { background: url(' . esc_url( get_theme_mod( 'brnhmbx_robin_upload_Background' ) ) . ')

				';

				if ( get_theme_mod( 'brnhmbx_robin_centerBackground', 1 ) ) { $robin_css .= ' top;'; }
				if ( !get_theme_mod( 'brnhmbx_robin_centerBackground' ) ) { $robin_css .= ' ' . esc_attr( get_theme_mod( 'brnhmbx_robin_repeatBackground', 'no-repeat' ) ); }

				$robin_css .= '}';

			}

			$robin_css .= '

			input,
			textarea,
			select { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputText', '#999' ) ) . '; }

			.author-box-outer { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Title', '#333' ) ) . '; border: 6px dashed ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Sep', '#ff6f60' ) ) . '; }
			.author-box-outer a,
			.author-box-outer a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Link', '#333' ) ) . '; }
			.author-box-outer a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_LinkHover', '#458cad' ) ) . '; }

			input[type="submit"] { background: transparent !important; }

			table, th, td { border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . '; }

			';

			/* Misc */

			$robin_css .= '

			span.page-numbers.dots,
			span.page-numbers.current,
			.pagenavi a.page-numbers,
			.pagenavi a.page-numbers:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Link', '#333' ) ) . '; }
			.pagenavi a.page-numbers:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_LinkHover', '#458cad' ) ) . '; }
			span.page-numbers.current { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Sep', '#ff6f60' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }

			a .page-navi-btn,
			a .page-navi-btn:visited,
			.nothing-found,
			.page-404,
			.filter-bar { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Site_RMB', '#e5e5e5' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Site_RMT', '#333' ) ) . '; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }

			a .page-navi-btn:hover { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Site_RMT', '#333' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Site_RMB', '#e5e5e5' ) ) . '; }

			';

			if ( get_theme_mod( 'brnhmbx_robin_opt_PageNaviBullet', 'image' ) != 'arrow' ) { $robin_css .= '.page-navi-prev-info { padding-left: 20px; } .page-navi-next-info { padding-right: 20px; }'; }

			$robin_css .= '

			#googleMap { height: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_mapHeight', 500 ) ) . 'px; }

			';

			/* Layout */

			if ( get_theme_mod( 'brnhmbx_robin_opt_PageWidth', 'boxed' ) == 'boxed' ) {

				$robin_css .= '

				.site-mid { max-width: 1240px; }

				';

			} else if ( get_theme_mod( 'brnhmbx_robin_opt_PageWidth', 'boxed' ) == 'full' ) {

				$robin_css .= '

				.site-mid { max-width: 100%; }

				';

			}

			/* Post Formats */

			if ( get_theme_mod( 'brnhmbx_robin_opt_GalleryPos_Gallery', 'content' ) == 'iof' && has_post_format( 'gallery' ) ) {

				$robin_css .= '

				.gallery,
				.tiled-gallery,
				.jetpack-slideshow { display: none; }

				';

			}

			/* Article */

			$brnhmbx_robin_color_Standard_Background = get_theme_mod( 'brnhmbx_robin_color_Standard_Background', '#f4f1d3' );
			$brnhmbx_robin_color_Standard_Header = get_theme_mod( 'brnhmbx_robin_color_Standard_Header', '#ff6f60' );
			$brnhmbx_robin_color_Standard_Content = get_theme_mod( 'brnhmbx_robin_color_Standard_Content', '#333' );
			$brnhmbx_robin_color_Standard_Link = get_theme_mod( 'brnhmbx_robin_color_Standard_Link', '#458cad' );
			$brnhmbx_robin_color_Standard_Link_Hover = get_theme_mod( 'brnhmbx_robin_color_Standard_Link_Hover', '#31795c' );
			$brnhmbx_robin_color_Standard_InputBackground = get_theme_mod( 'brnhmbx_robin_color_Standard_InputBackground', '#FFF' );
			$brnhmbx_robin_color_Standard_InputText = get_theme_mod( 'brnhmbx_robin_color_Standard_InputText', '#999' );

			if ( get_theme_mod( 'brnhmbx_robin_keep_GalleryColors', 0 ) ) {

				$brnhmbx_robin_color_Gallery_Background = $brnhmbx_robin_color_Standard_Background;
				$brnhmbx_robin_color_Gallery_Header = $brnhmbx_robin_color_Standard_Header;
				$brnhmbx_robin_color_Gallery_Content = $brnhmbx_robin_color_Standard_Content;
				$brnhmbx_robin_color_Gallery_Link = $brnhmbx_robin_color_Standard_Link;
				$brnhmbx_robin_color_Gallery_Link_Hover = $brnhmbx_robin_color_Standard_Link_Hover;
				$brnhmbx_robin_color_Gallery_InputBackground = $brnhmbx_robin_color_Standard_InputBackground;
				$brnhmbx_robin_color_Gallery_InputText = $brnhmbx_robin_color_Standard_InputText;

			} else {

				$brnhmbx_robin_color_Gallery_Background = get_theme_mod( 'brnhmbx_robin_color_Gallery_Background', '#f7edf0' );
				$brnhmbx_robin_color_Gallery_Header = get_theme_mod( 'brnhmbx_robin_color_Gallery_Header', '#5c7f71' );
				$brnhmbx_robin_color_Gallery_Content = get_theme_mod( 'brnhmbx_robin_color_Gallery_Content', '#5a3114' );
				$brnhmbx_robin_color_Gallery_Link = get_theme_mod( 'brnhmbx_robin_color_Gallery_Link', '#bd2d20' );
				$brnhmbx_robin_color_Gallery_Link_Hover = get_theme_mod( 'brnhmbx_robin_color_Gallery_Link_Hover', '#555' );
				$brnhmbx_robin_color_Gallery_InputBackground = get_theme_mod( 'brnhmbx_robin_color_Gallery_InputBackground', '#FFF' );
				$brnhmbx_robin_color_Gallery_InputText = get_theme_mod( 'brnhmbx_robin_color_Gallery_InputText', '#999' );

			}

			if ( get_theme_mod( 'brnhmbx_robin_keep_VideoColors', 0 ) ) {

				$brnhmbx_robin_color_Video_Background = $brnhmbx_robin_color_Standard_Background;
				$brnhmbx_robin_color_Video_Header = $brnhmbx_robin_color_Standard_Header;
				$brnhmbx_robin_color_Video_Content = $brnhmbx_robin_color_Standard_Content;
				$brnhmbx_robin_color_Video_Link = $brnhmbx_robin_color_Standard_Link;
				$brnhmbx_robin_color_Video_Link_Hover = $brnhmbx_robin_color_Standard_Link_Hover;
				$brnhmbx_robin_color_Video_InputBackground = $brnhmbx_robin_color_Standard_InputBackground;
				$brnhmbx_robin_color_Video_InputText = $brnhmbx_robin_color_Standard_InputText;

			} else {

				$brnhmbx_robin_color_Video_Background = get_theme_mod( 'brnhmbx_robin_color_Video_Background', '#484654' );
				$brnhmbx_robin_color_Video_Header = get_theme_mod( 'brnhmbx_robin_color_Video_Header', '#FFF' );
				$brnhmbx_robin_color_Video_Content = get_theme_mod( 'brnhmbx_robin_color_Video_Content', '#CCC' );
				$brnhmbx_robin_color_Video_Link = get_theme_mod( 'brnhmbx_robin_color_Video_Link', '#c4a2ba' );
				$brnhmbx_robin_color_Video_Link_Hover = get_theme_mod( 'brnhmbx_robin_color_Video_Link_Hover', '#c5bb50' );
				$brnhmbx_robin_color_Video_InputBackground = get_theme_mod( 'brnhmbx_robin_color_Video_InputBackground', '#34333f' );
				$brnhmbx_robin_color_Video_InputText = get_theme_mod( 'brnhmbx_robin_color_Video_InputText', '#999' );

			}

			$robin_css .= '

			article { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }
			article a,
			article a:visited { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Link ) . '; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }

			article .article-content-inner a,
			article .article-content-inner a:visited,
			article .post-styleZ a,
			article .post-styleZ a:visited,
			article .article-author,
			article .listing-comment,
			article .listing-comment-w-o-date,
			article .sticky-icon,
			article h1, article h2, article h3, article h4, article h5, article h6 { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; }

			article .btnReadMore a,
			article .btnReadMore a:visited,
			article .article-author a,
			article .article-author a:visited,
			article .article-pure-content a,
			article .article-pure-content a:visited,
			article input[type="submit"] { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Link ) . '; }

			article .article-pure-content,
			article .home-cat-tag-page,
			article .listing-comment-number,
			article .article-date a,
			article .article-date a:visited,
			article .wpcf7-form p { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }

			article .home-cat-tag-page.tag-only a,
			article .home-cat-tag-page.tag-only a:visited { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Link ) . '; }

			article .wp-caption p.wp-caption-text { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Standard_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . ';}

			article a:hover,
			article .listing-comment-number:hover,
			article input[type="submit"]:hover { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Link_Hover ) . ' !important; }

			article input, article textarea, article select { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Standard_InputText ) . '; }
			article table, article th, article td { border-color: ' . esc_attr( $brnhmbx_robin_color_Standard_InputBackground ) . '; }

			article .social-widget-button,
			article .social-widget-button:visited { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . ' !important; }
			article .social-widget-button:hover { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . ' !important; }

			article blockquote { border-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; }

			article.post-gallery { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			article.post-gallery a,
			article.post-gallery a:visited { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Link ) . '; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }

			article.post-gallery .article-content-inner a,
			article.post-gallery .article-content-inner a:visited,
			article.post-gallery .post-styleZ a,
			article.post-gallery .post-styleZ a:visited,
			article.post-gallery .article-author,
			article.post-gallery .listing-comment,
			article.post-gallery .listing-comment-w-o-date,
			article.post-gallery .sticky-icon,
			article.post-gallery h1, article.post-gallery h2, article.post-gallery h3, article.post-gallery h4, article.post-gallery h5, article.post-gallery h6 { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; }

			article.post-gallery .btnReadMore a,
			article.post-gallery .btnReadMore a:visited,
			article.post-gallery .article-author a,
			article.post-gallery .article-author a:visited,
			article.post-gallery .article-pure-content a,
			article.post-gallery .article-pure-content a:visited,
			article.post-gallery input[type="submit"] { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Link ) . '; }

			article.post-gallery .article-pure-content,
			article.post-gallery .home-cat-tag-page,
			article.post-gallery .listing-comment-number,
			article.post-gallery .article-date a,
			article.post-gallery .article-date a:visited,
			article.post-gallery .wpcf7-form p { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }

			article.post-gallery .home-cat-tag-page.tag-only a,
			article.post-gallery .home-cat-tag-page.tag-only a:visited { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Link ) . '; }

			article.post-gallery .wp-caption p.wp-caption-text { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Gallery_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . ';}

			article.post-gallery a:hover,
			article.post-gallery .listing-comment-number:hover,
			article.post-gallery input[type="submit"]:hover { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Link_Hover ) . ' !important; }

			article.post-gallery input, article.post-gallery textarea, article.post-gallery select { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Gallery_InputText ) . '; }
			article.post-gallery table, article.post-gallery th, article.post-gallery td { border-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_InputBackground ) . '; }

			article.post-gallery .social-widget-button,
			article.post-gallery .social-widget-button:visited { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . ' !important; }
			article.post-gallery .social-widget-button:hover { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . ' !important; }

			article.post-gallery blockquote { border-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; }

			article.post-video { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; }
			article.post-video a,
			article.post-video a:visited { color: ' . esc_attr( $brnhmbx_robin_color_Video_Link ) . '; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }

			article.post-video .article-content-inner a,
			article.post-video .article-content-inner a:visited,
			article.post-video .post-styleZ a,
			article.post-video .post-styleZ a:visited,
			article.post-video .article-author,
			article.post-video .listing-comment,
			article.post-video .listing-comment-w-o-date,
			article.post-video .sticky-icon,
			article.post-video h1, article.post-video h2, article.post-video h3, article.post-video h4, article.post-video h5, article.post-video h6 { color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; }

			article.post-video .btnReadMore a,
			article.post-video .btnReadMore a:visited,
			article.post-video .article-author a,
			article.post-video .article-author a:visited,
			article.post-video .article-pure-content a,
			article.post-video .article-pure-content a:visited,
			article.post-video input[type="submit"] { color: ' . esc_attr( $brnhmbx_robin_color_Video_Link ) . '; }

			article.post-video .article-pure-content,
			article.post-video .home-cat-tag-page,
			article.post-video .listing-comment-number,
			article.post-video .article-date a,
			article.post-video .article-date a:visited,
			article.post-video .wpcf7-form p { color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; }

			article.post-video .home-cat-tag-page.tag-only a,
			article.post-video .home-cat-tag-page.tag-only a:visited { color: ' . esc_attr( $brnhmbx_robin_color_Video_Link ) . '; }

			article.post-video .wp-caption p.wp-caption-text { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Video_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . ';}

			article.post-video a:hover,
			article.post-video .listing-comment-number:hover,
			article.post-video input[type="submit"]:hover { color: ' . esc_attr( $brnhmbx_robin_color_Video_Link_Hover ) . ' !important; }

			article.post-video input, article.post-video textarea, article.post-video select { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_InputText ) . '; }
			article.post-video table, article.post-video th, article.post-video td { border-color: ' . esc_attr( $brnhmbx_robin_color_Video_InputBackground ) . '; }

			article.post-video .social-widget-button,
			article.post-video .social-widget-button:visited { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . ' !important; }
			article.post-video .social-widget-button:hover { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . ' !important; }

			article.post-video blockquote { border-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; }

			';

			/* Related Posts */

			$robin_css .= '

			.related-posts a .listing-box,
			.related-posts a:visited .listing-box { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_RP_Box', '#ff6f60' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_RP_Header', '#FFF' ) ) . '; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }
			.related-posts a:hover .listing-box { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_RP_Header', '#FFF' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_RP_Box', '#ff6f60' ) ) . '; }
			.related-posts h2 { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Title', '#333' ) ) . '; }
			.related-posts .robin-sep { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Sep', '#ff6f60' ) ) . '; }

			';

			/* Post Comments */

			$robin_css .= '

			.comments-container { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Content', '#666' ) ) . '; }
			.comments .comments-hdr,
			.comment-awaiting { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Sep', '#ff6f60' ) ) . '; }
			.comments a,
			.comments a:visited,
			.comment-author-name { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Sep', '#ff6f60' ) ) . '; }
			.comments a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_LinkHover', '#458cad' ) ) . '; }
			.comments input[type="submit"] { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_LinkHover', '#458cad' ) ) . '; }
			.comments input[type="submit"]:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Title', '#333' ) ) . '; }
			a.comment-edit-link,
			a.comment-reply-link,
			a.comment-edit-link:visited,
			a.comment-reply-link:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_LinkHover', '#458cad' ) ) . '; }
			a.comment-edit-link:hover,
			a.comment-reply-link:hover,
			.comments-paging a.page-numbers { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Title', '#333' ) ) . '; }
			.comment-text h1, .comment-text h2, .comment-text h3, .comment-text h4, .comment-text h5, .comment-text h6 { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Title', '#333' ) ) . ' }
			.comments h2,
			.comment-reply-title { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Title', '#333' ) ) . '; }
			.comments .robin-sep { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Sep', '#ff6f60' ) ) . '; }

			';

			/* Menu & Header */

			if ( get_theme_mod( 'brnhmbx_robin_opt_TopLineWidth', 'full_boxed' ) == 'boxed' ) {

				$robin_css .= '

				.top-line-outer { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
				.top-line-inner { background-color:

				';

				if ( get_theme_mod( 'brnhmbx_robin_transparent_TopLine_Background', 1 ) ) { $robin_css .= esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ); } else { $robin_css .= esc_attr( get_theme_mod( 'brnhmbx_robin_color_TopLine_Background', '#333' ) ); }

				$robin_css .= '; }';

			} else if ( get_theme_mod( 'brnhmbx_robin_opt_TopLineWidth', 'full_boxed' ) == 'full' || get_theme_mod( 'brnhmbx_robin_opt_TopLineWidth', 'full_boxed' ) == 'full_boxed' ) {

				$robin_css .= '

				.top-line-outer,
				.top-line-inner { background-color:

				';

				if ( get_theme_mod( 'brnhmbx_robin_transparent_TopLine_Background', 1 ) ) { $robin_css .= esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ); } else { $robin_css .= esc_attr( get_theme_mod( 'brnhmbx_robin_color_TopLine_Background', '#333' ) ); }

				$robin_css .= '; padding: 0px; }';

			}

			if ( get_theme_mod( 'brnhmbx_robin_opt_TopLineWidth', 'full_boxed' ) == 'full' ) { $robin_css .= '.top-line-container { max-width: 100%; }'; }

			$robin_css .= '

			.mobile-header,
			#sticky-menu-container { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Menu_Background', '#91c2ae' ) ) . '; }
			.brnhmbx-menu-button,
			.slicknav_menu a,
			.slicknav_menu a:visited,
			.site-menu-outer .assign-menu,
			.header-menu-touch { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_MenuLink', '#FFF' ) ) . '; }
			.slicknav_menu a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_MenuLink_Hover', '#31795c' ) ) . '; }

			.logo-text a,
			.logo-text a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Logo', '#333' ) ) . '; }
			.sticky-logo-container .logo-text a,
			.sticky-logo-container .logo-text a:visited,
			.mobile-logo-container .logo-text a,
			.mobile-logo-container .logo-text a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_MenuLink', '#FFF' ) ) . '; }
			h1.logo-text { font-size: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_font_size_Logo', '30' ) ) . 'px; }
			.mobile-header h1.logo-text,
			#sticky-menu h1.logo-text { font-size: 25px; }

			';

			if ( !get_theme_mod( 'brnhmbx_robin_sh_StickyLogo', 1 ) ) { $robin_css .= '.sticky-logo-outer { margin: 0px; }'; }

			$robin_css .= '

			.header-menu-outer a,
			.header-menu-outer a:visited,
			.header-menu-outer li.nav-sep,
			.header-menu-outer .assign-menu,
			.spot-messages,
			.spot-messages a,
			.spot-messages a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_HeaderLink', '#91c2ae' ) ) . '; }
			.header-menu-outer a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_HeaderLink_Hover', '#31795c' ) ) . '; }

			.site-nav2 a,
			.site-nav2 a:visited,
			.btn-to-top,
			.header-social .social-menu-item,
			.brnhmbx-top-search-button,
			.top-search input { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_MenuLink', '#FFF' ) ) . '; }
			.site-nav2 a:hover,
			.btn-to-top:hover,
			.header-social .social-menu-item:hover,
			.brnhmbx-top-search-button:hover { opacity: 1; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_MenuLink_Hover', '#31795c' ) ) . '; }
			.site-nav2 li ul { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_MenuLevel_Background', '#31795c' ) ) . '; }
			.site-nav2 li ul a,
			.site-nav2 li ul a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_MenuLink_Level', '#FFF' ) ) . '; }
			.site-nav2 li ul a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_MenuLink_Level_Hover', '#91c2ae' ) ) . '; }

			';

			if ( get_theme_mod( 'brnhmbx_robin_transparent_Menu_Background', 0 ) ) {

				$robin_css .= '

				.menu-sticky,
				.mobile-header { background-color: #FFF; border-bottom: 2px solid; border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_MenuLink', '#FFF' ) ) . '; }

				.site-top-container,
				.top-search input { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }

				';

			} else {

				$robin_css .= '

				.site-top-container,
				.menu-sticky,
				.top-search input { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Menu_Background', '#91c2ae' ) ) . '; }

				';

			}

			if ( get_theme_mod( 'brnhmbx_robin_opt_MenuPos', 'menu-center' ) == 'menu-left' ) {

				/* Default */

			} else if ( get_theme_mod( 'brnhmbx_robin_opt_MenuPos', 'menu-center' ) == 'menu-center' ) {

				$robin_css .= '

				.site-top-container { text-align: center; }
				.site-top-container .top-extra-outer { float: none; display: inline-block; margin-left: 40px; }

				';

			} else if ( get_theme_mod( 'brnhmbx_robin_opt_MenuPos', 'menu-center' ) == 'menu-right' ) {

				$robin_css .= '

				.site-top-container { text-align: right; }
				.site-top-container .top-extra-outer { margin-left: 40px; }

				';

				if ( get_theme_mod( 'brnhmbx_robin_opt_LogoPos', 'logo-top' ) == 'logo-left' ) {

					$robin_css .= '

					.site-top-container { position: relative; }
					.site-logo-outer { position: absolute; left: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_menuPaddingLeft', 40 ) ) . 'px; }

					';

				}

			}

			if ( get_theme_mod( 'brnhmbx_robin_opt_LogoPos', 'logo-top' ) == 'logo-top' || get_theme_mod( 'brnhmbx_robin_opt_LogoPos', 'logo-top' ) == 'logo-bottom' ) {

				$robin_css .= '

				.site-logo-outer { display: block; text-align: center; padding: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_logoPaddingTop', 40 ) ) . 'px 0px ' . esc_attr( get_theme_mod( 'brnhmbx_robin_logoPaddingBottom', 40 ) ) . 'px 0px; background-color:

					';

				if ( get_theme_mod( 'brnhmbx_robin_transparent_Logo_Background', 1 ) ) { $robin_css .= esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ); } else { $robin_css .= esc_attr( get_theme_mod( 'brnhmbx_robin_color_Logo_Background', '#91c2ae' ) ); }

				$robin_css .= '

				; }

				.site-logo-container { display: inline-block; }

				.site-logo-container img { height: auto; }

				.site-logo-left-handler { display: inline-table; vertical-align: middle; margin: 0px; }

				.site-logo-left-handler,
				.top-extra { height: ' . esc_attr( $menuContainerHeight ) . 'px; }
				.site-logo-container img { max-height: ' . esc_attr( $maxLogoHeight ) . 'px; }

				';

			} else if ( get_theme_mod( 'brnhmbx_robin_opt_LogoPos', 'logo-top' ) == 'logo-left' ) {

				$robin_css .= '

				.site-logo-outer,
				.site-logo-outer-handler { display: inline-table; vertical-align: middle; margin: 0px ' . esc_attr( get_theme_mod( 'brnhmbx_robin_logoPaddingRight', 40 ) ) . 'px 0px 0px; text-align: left; }
				.site-logo-container { display: table-cell; vertical-align: middle; }
				.site-logo-container img { height: auto; }

				.site-logo-outer,
				.site-logo-outer-handler,
				.top-extra { height: ' . esc_attr( $menuContainerHeight ) . 'px; }
				.site-logo-container img { max-height: ' . esc_attr( $maxLogoHeight ) . 'px; }

				';

			}

			$robin_css .= '

			.sticky-logo-outer,
			#sticky-menu .top-extra { height: 50px; }

			.site-top-container { padding-left: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_menuPaddingLeft', 40 ) ) . 'px; padding-right: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_menuPaddingRight', 20 ) ) . 'px; }

			';

			if ( get_theme_mod( 'brnhmbx_robin_sh_BorderedMenu', 1 ) ) {

				$robin_css .= '

				.site-top-container { border: 5px solid; border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Menu_Border', '#31795c' ) ) . '; }

				';

			}

			if ( ( get_theme_mod( 'brnhmbx_robin_sh_HeaderBottomPadding', 1 ) && is_home() ) || ( get_theme_mod( 'brnhmbx_robin_opt_SliderHomeView', 'home-front' ) == 'home-front' && get_query_var( 'paged' ) > 1 && get_theme_mod( 'brnhmbx_robin_sh_HeaderBottomPaddingInner', 1 ) ) ) {

				$robin_css .= '.site-top { margin-bottom: 40px; }';

			}

			if ( get_theme_mod( 'brnhmbx_robin_sh_HeaderBottomPaddingInner', 1 ) && !is_home() ) {

				$robin_css .= '.site-top { margin-bottom: 40px; }';

			}

			if ( get_theme_mod( 'brnhmbx_robin_sh_TopLineBottomPadding', 0 ) ) {

				$robin_css .= '.top-line-outer { margin-bottom: 20px; }';

			}

			if ( get_theme_mod( 'brnhmbx_robin_opt_MenuWidth', 'boxed' ) == 'boxed' ) {

				$robin_css .= '

				.site-top { max-width: 1240px; padding: 0 20px 0px 20px; }

				';

			} else if ( get_theme_mod( 'brnhmbx_robin_opt_MenuWidth', 'boxed' ) == 'full' ) {

				$robin_css .= '

				.site-top { max-width: 100%; padding: 0px; }

				';

			} else if ( get_theme_mod( 'brnhmbx_robin_opt_MenuWidth', 'boxed' ) == 'full_boxed' ) {

				$robin_css .= '

				.site-top { max-width: 100%; padding: 0px; }

				.site-top-container { max-width: 1240px; margin: auto; padding-left: 20px; padding-right: 20px; }
				.site-top-container-outer { background-color:

				';

				if ( get_theme_mod( 'brnhmbx_robin_transparent_Menu_Background', 0 ) ) { $robin_css .= esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ); } else { $robin_css .= esc_attr( get_theme_mod( 'brnhmbx_robin_color_Menu_Background', '#91c2ae' ) ); }

				$robin_css .= '; }';

			}

			/* Trigger Slicknav Menu */

			if ( !get_theme_mod( 'brnhmbx_robin_sh_TopLineBottomPadding', 0 ) ) { $robin_css .= '.site-mid { margin-top: 20px; }'; }

			$robin_css .= '

			@media all and (min-width: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_triggerSlicknav', '960' ) ) . 'px) {

				#site-menu,
				#site-menu-sticky,
				#sticky-menu { display: block; }
				.mobile-header { display: none; }
				.site-top { margin-top: 0px; display: block; }
				body { margin-top: 0px; }

				.spot-messages {
					float: left;
					width: 50%;
				}

				.header-menu-outer {
					float: right;
					width: 50%;
					display: inline;
				}

				';

				if ( !get_theme_mod( 'brnhmbx_robin_sh_TopLineBottomPadding', 0 ) ) { $robin_css .= '.site-mid { margin-top: 0px; }'; }

				$robin_css .= '}';


			/* Slider */

			$robin_css .= '

			.slider-caption { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Sli_Caption', '#ffd3ce' ) ) . '; }
			.slide-info-inner { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Sli_Header', '#FFF' ) ) . '; }

			.slide-text { background: rgba(' . esc_attr( robin_hex2rgb( get_theme_mod( 'brnhmbx_robin_color_Sli_Box', '#ff6f60' ) ) ) . ',' . esc_attr( get_theme_mod( 'brnhmbx_robin_rng_Sli_Box', '90' ) / 100 ) . '); -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }
			.slide-a:hover .slide-text { background: rgba(' . esc_attr( robin_hex2rgb( get_theme_mod( 'brnhmbx_robin_color_Sli_Box', '#ff6f60' ) ) ) . ', 1); }

			';

			if ( get_theme_mod( 'brnhmbx_robin_sh_bxDarkControls', 0 ) ) {

				$robin_css .= '

				.bx-wrapper .bx-prev { background: url(' . get_template_directory_uri() . '/css/images/btn-prev-dark.png) no-repeat; }
				.bx-wrapper .bx-next { background: url(' . get_template_directory_uri() . '/css/images/btn-next-dark.png) no-repeat; }
				.bx-wrapper .bx-pager.bx-default-pager a { background-color: #000; }

				';

			} else {

				$robin_css .= '

				.bx-wrapper .bx-prev { background: url(' . get_template_directory_uri() . '/css/images/btn-prev.png) no-repeat; }
				.bx-wrapper .bx-next { background: url(' . get_template_directory_uri() . '/css/images/btn-next.png) no-repeat; }
				.bx-wrapper .bx-pager.bx-default-pager a { background-color: #FFF; }

				';

			}

			if ( get_theme_mod( 'brnhmbx_robin_sh_bxRectanglePagers', 0 ) ) {

				$robin_css .= '

				.bx-wrapper .bx-pager.bx-default-pager a { width: 40px; height: 6px; }

				';

			} else {

				$robin_css .= '

				.bx-wrapper .bx-pager.bx-default-pager a { width: 10px; height: 10px; -moz-border-radius: 5px; -webkit-border-radius: 5px; border-radius: 5px; }

				';

			}

			if ( $brnhmbx_robin_opt_bxPagerPosition_Main == 'left' ) {

				$robin_css .= '

				.bx-wrapper .bx-pager { text-align: left; padding-left: 20px; }
				.bx-wrapper .bx-pager.bx-default-pager a { text-indent: -9999px; }

				@media all and (min-width: 640px) {

					.bx-pager-outer { max-width: 1240px; }
					.bx-wrapper .bx-pager { padding-left: 35px; }

				';

				if ( $brnhmbx_robin_opt_SliderPosition == 'full' ) { $robin_css .= '.bx-wrapper .bx-pager { padding-left: 15px; }'; }

				$robin_css .= '}';

			} else if ( $brnhmbx_robin_opt_bxPagerPosition_Main == 'center' ) {

				$robin_css .= '

				.bx-wrapper .bx-pager { text-align: center; }
				.bx-wrapper .bx-pager.bx-default-pager a { text-indent: -9999px; }

				';

			} else if ( $brnhmbx_robin_opt_bxPagerPosition_Main == 'right' ) {

				$robin_css .= '

				.bx-wrapper .bx-pager { text-align: right; padding-right: 20px; }
				.bx-wrapper .bx-pager.bx-default-pager a { text-indent: 9999px; }

				@media all and (min-width: 640px) {

					.bx-pager-outer { max-width: 1240px; }
					.bx-wrapper .bx-pager { padding-right: 35px; }

				';

				if ( $brnhmbx_robin_opt_SliderPosition == 'full' ) { $robin_css .= '.bx-wrapper .bx-pager { padding-right: 15px; }'; }

				$robin_css .= '}';

			}

			if ( $brnhmbx_robin_sliderHideMobile == '320' ) {

				$robin_css .= '

				@media all and (min-width: 320px) { .robin-slider-container { display: block; } }

				';

			} else if ( $brnhmbx_robin_sliderHideMobile == '480' ) {

				$robin_css .= '

				@media all and (min-width: 480px) { .robin-slider-container { display: block; } }

				';

			} else if ( $brnhmbx_robin_sliderHideMobile == '640' ) {

				$robin_css .= '

				@media all and (min-width: 640px) { .robin-slider-container { display: block; } }

				';

			} else {

				$robin_css .= '

				.robin-slider-container { display: block; }

				';

			}

			/* Sidebar, Upper & Home Widgets */

			$robin_css .= '

			.widget-item h2 { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Title', '#333' ) ) . '; }
			.widget-item .robin-sep { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Sep', '#ff6f60' ) ) . '; }

			.widget-item { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Content', '#666' ) ) . '; }
			.widget-item a { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Link', '#333' ) ) . '; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }
			.widget-item a .listing-date-z,
			.widget-item .recent-comment-author { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Content', '#666' ) ) . '; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }
			.widget-item a:hover,
			.widget-item a:hover .listing-date-z { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_LinkHover', '#458cad' ) ) . '; }

			';

			if ( get_theme_mod( 'brnhmbx_robin_sh_CenteredArchiveList', 0 ) ) {

				$robin_css .= '

				.widget_archive ul,
				.widget_categories ul,
				.widget_meta ul,
				.widget_pages ul,
				.widget_nav_menu ul,
				.widget_tag_cloud .tagcloud { text-align: center; }

				';

			}

			/* Footer */

			if ( get_theme_mod( 'brnhmbx_robin_opt_FooterWidgetsWidth', 'boxed' ) == 'boxed' ) { $robin_css .= '.footer-box-inner { max-width: 1240px; }'; }

			$robin_css .= '

			.footer-box-outer,
			.footer-bottom-outer { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Footer_Background', '#333' ) ) . '; }
			.footer-bottom-outer a { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Sep', '#ff6f60' ) ) . '; }
			.footer-bottom-outer a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_LinkHover', '#458cad' ) ) . '; }
			.footer-text { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Title', '#FFF' ) ) . '; }

			.widget-item-footer h2 { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Title', '#FFF' ) ) . '; }
			.widget-item-footer .robin-sep { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Sep', '#ff6f60' ) ) . '; }

			.widget-item-footer { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Content', '#999' ) ) . '; }
			.widget-item-footer a { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Link', '#FFF' ) ) . '; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }
			.widget-item-footer a .listing-date-z,
			.widget-item-footer .recent-comment-author { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Content', '#999' ) ) . '; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }
			.widget-item-footer a:hover,
			.widget-item-footer a:hover .listing-date-z { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_LinkHover', '#458cad' ) ) . '; }

			.widget-item-footer input,
			.widget-item-footer textarea,
			.widget-item-footer select,
			.footer-bottom .btn-to-top { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_InputBackground', '#222' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_InputText', '#999' ) ) . '; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }

			.footer-bottom .btn-to-top:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Title', '#FFF' ) ) . '; background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Sep', '#ff6f60' ) ) . '; }

			.widget-item-footer table, .widget-item-footer th, .widget-item-footer td { border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_InputBackground', '#222' ) ) . '; }

			.instagram-label { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Sep', '#ff6f60' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_WF_Title', '#FFF' ) ) . '; }

			';

			/* Banner Management */

			$brnhmbx_robin_opt_ResponsiveBannerHide = get_theme_mod( 'brnhmbx_robin_opt_ResponsiveBannerHide', '640' );

			if ( $brnhmbx_robin_opt_ResponsiveBannerHide == '480' ) {

				$robin_css .= '

				@media all and (min-width: 480px) { .leaderboard-responsive.leaderboard-full { display: block; } }
				@media all and (min-width: 800px) { .leaderboard-responsive.leaderboard-among { display: block; } }

				';

			} else if ( $brnhmbx_robin_opt_ResponsiveBannerHide == '640' ) {

				$robin_css .= '

				@media all and (min-width: 640px) { .leaderboard-responsive.leaderboard-full { display: block; } }
				@media all and (min-width: 960px) { .leaderboard-responsive.leaderboard-among { display: block; } }

				';

			} else if ( $brnhmbx_robin_opt_ResponsiveBannerHide == '800' ) {

				$robin_css .= '

				@media all and (min-width: 800px) { .leaderboard-responsive.leaderboard-full { display: block; } }
				@media all and (min-width: 1120px) { .leaderboard-responsive.leaderboard-among { display: block; } }

				';

			} else if ( $brnhmbx_robin_opt_ResponsiveBannerHide == '960' ) {

				$robin_css .= '

				@media all and (min-width: 960px) { .leaderboard-responsive.leaderboard-full { display: block; } }
				@media all and (min-width: 1280px) { .leaderboard-responsive.leaderboard-among { display: block; } }

				';

			} else {

				$robin_css .= '

				.leaderboard-responsive.leaderboard-full,
				.leaderboard-responsive.leaderboard-among { display: block; }

				';

			}

			/* Woo Commerce */

			if ( function_exists( 'WC' ) ) {

			$brnhmbx_robin_color_Standard_DCB = get_theme_mod( 'brnhmbx_robin_color_W_Link', '#333' );
			$brnhmbx_robin_color_Standard_RMB = get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' );
			$brnhmbx_robin_color_Standard_RMT = get_theme_mod( 'brnhmbx_robin_color_W_Link', '#333' );

			$robin_css .= '

			.brnhmbx-wc-outer {
				background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ';
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Content', '#666' ) ) . ';
			}

			';

			if ( is_woocommerce() ) {

				$robin_css .= '

				article { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }

				';

			}

			$robin_css .= '

			.star-rating,
			p.stars span a,
			.amount,
			.price ins,
			.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta strong[itemprop="author"] {
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Title', '#333' ) ) . ';
			}

			.brnhmbx-wc-outer h1,
			.brnhmbx-wc-outer h2,
			.brnhmbx-wc-outer h3,
			.products li a h3 {
				color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . ';
			}

			a.woocommerce-review-link,
			a.woocommerce-review-link:visited,
			.woocommerce-result-count {
				color: ' . esc_attr( $brnhmbx_robin_color_Standard_DCB ) . ';
			}

			.woocommerce .woocommerce-error,
			.woocommerce .woocommerce-info,
			.woocommerce .woocommerce-message {
				background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . ';
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputText', '#999' ) ) . ';
			}

			';

			if ( is_woocommerce() ) {

			$robin_css .= '

			.woocommerce select,
			.woocommerce textarea,
			.woocommerce input[type="text"],
			.woocommerce input[type="number"] {
				background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . ';
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputText', '#999' ) ) . ';
			}

			';

			}

			$robin_css .= '

			.button.add_to_cart_button.product_type_variable,
			.button.add_to_cart_button.product_type_simple,
			button.single_add_to_cart_button.button.alt,
			.woocommerce .woocommerce-message a.button,
			.woocommerce .woocommerce-message a.button:visited,
			.woocommerce #review_form #respond .form-submit input.submit,
			ul.products li a.added_to_cart.wc-forward,
			.woo-p-widget a.added_to_cart.wc-forward,
			.woo-p-widget .product_type_simple {
				background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMT ) . ';
				color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMB ) . ';
			}

			.woo-p-widget .product_type_simple {
				color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMT ) . ' !important;
			}

			.woocommerce #respond input#submit,
			.woocommerce a.button,
			.woocommerce button.button,
			.woocommerce input.button {
				background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMT ) . ' !important;
				color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMB ) . ' !important;
			}

			.button.add_to_cart_button.product_type_variable:hover,
			.button.add_to_cart_button.product_type_simple:hover,
			button.single_add_to_cart_button.button.alt:hover,
			.woocommerce .woocommerce-message a.button:hover,
			.woocommerce #review_form #respond .form-submit input.submit:hover,
			ul.products li a.added_to_cart.wc-forward:hover,
			.woo-p-widget a.added_to_cart.wc-forward:hover,
			.woo-p-widget .product_type_simple:hover {
				background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMB ) . ' !important;
				color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMT ) . ' !important;
				opacity: 1;
			}

			.woocommerce #respond input#submit:hover,
			.woocommerce a.button:hover,
			.woocommerce button.button:hover,
			.woocommerce input.button:hover {
				background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMB ) . ' !important;
				color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMT ) . ' !important;
				opacity: 1;
			}

			.price del,
			a .price del,
			.price del span.amount {
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Title', '#333' ) ) . ' !important;
			}

			.posted_in a,
			.posted_in a:visited,
			.tagged_as a,
			.tagged_as a:visited {
				color: ' . esc_attr( $brnhmbx_robin_color_Standard_DCB ) . ';
			}

			.woocommerce span.onsale {
				background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMT ) . ';
				color: ' . esc_attr( $brnhmbx_robin_color_Standard_RMB ) . ';
			}

			.woocommerce a.reset_variations,
			.woocommerce a.reset_variations:visited,
			.woocommerce a.shipping-calculator-button,
			.woocommerce a.shipping-calculator-button:visited,
			.woocommerce a.woocommerce-remove-coupon,
			.woocommerce a.woocommerce-remove-coupon:visited,
			p.stock.out-of-stock,
			p.stock.in-stock,
			.woocommerce a.edit,
			.woocommerce a.edit:visited,
			div.price_slider_amount button {
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Link', '#333' ) ) . ';
			}

			.woocommerce div.product .woocommerce-tabs ul.tabs:before {
				border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . ';
			}

			.woocommerce div.product .woocommerce-tabs ul.tabs li {
				background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . ';
				border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . ';
			}

			.woocommerce div.product .woocommerce-tabs ul.tabs li a,
			.woocommerce div.product .woocommerce-tabs ul.tabs li a:visited,
			.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover {
				font-weight: normal;
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputText', '#999' ) ) . ';
			}

			.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
			.woocommerce div.product .woocommerce-tabs ul.tabs li.active a:hover {
				background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ';
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Title', '#333' ) ) . ';
			}

			.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta time[itemprop="datePublished"],
			.woocommerce #respond label,
			.woocommerce p.form-row label {
				color: ' . esc_attr( $brnhmbx_robin_color_Standard_DCB ) . ';
			}

			.woocommerce #reviews #comments ol.commentlist li .comment-text div.description {
				border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . ';
			}

			.order-info mark {
				background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . ';
			}

			.select2-results {
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Content', '#666' ) ) . ';
			}

			.select2-results .select2-highlighted {
				background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . ';
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Content', '#666' ) ) . ';
			}

			.woocommerce-checkout #payment{
				background: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . ';
			}

			.woocommerce-message a {
				color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Link', '#333' ) ) . ';
			}

			';

			/* Price Filter Widget */

			$robin_css .= '

			.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
			.woocommerce .widget_price_filter .ui-slider .ui-slider-range {
				background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_Link', '#333' ) ) . ';
			}

			.woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content {
				background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_W_InputBackground', '#f1ebdf' ) ) . ';
			}

			';

			}

			/* Fonts */

			$robin2017_font_primary = get_theme_mod( 'brnhmbx_robin_font_1', 'Quicksand' );
			$robin2017_font_secondary = get_theme_mod( 'brnhmbx_robin_font_2', 'Karla' );
			$robin2017_font_tertiary = get_theme_mod( 'brnhmbx_robin_font_3', 'Karla' );

			$brnhmbx_robin_font_Logo = '';
			if ( !get_theme_mod( 'brnhmbx_robin_upload_Logo' ) ) { $brnhmbx_robin_font_Logo =  get_theme_mod( 'brnhmbx_robin_font_Logo', 'Montserrat' ); }

			foreach ( robin_font_labels() as $key => $val ) {
				$add_underscore = str_replace( ' ', '_', $key );
				if ( $add_underscore == $robin2017_font_primary ) { $font_primary = 'font-family: "' . wp_kses_post( $key ) . '", ' . wp_kses_post( $val ) . ';'; }
				if ( $add_underscore == $robin2017_font_secondary ) { $font_secondary = 'font-family: "' . wp_kses_post( $key ) . '", ' . wp_kses_post( $val ) . ';'; }
				if ( $add_underscore == $robin2017_font_tertiary ) { $font_tertiary = 'font-family: "' . wp_kses_post( $key ) . '", ' . wp_kses_post( $val ) . ';'; }
				if ( $add_underscore == $brnhmbx_robin_font_Logo ) { $font_for_logo = 'font-family: "' . wp_kses_post( $key ) . '", ' . wp_kses_post( $val ) . ' !important;'; }
			}

			$robin_css .= '

			.brnhmbx-font-2, blockquote, input, textarea, .widget_mc4wp_form_widget, .widget_categories .widget-item-inner, .widget_archive .widget-item-inner, .widget_calendar .widget-item-inner, .widget_nav_menu .widget-item-inner, .widget_meta .widget-item-inner, .widget_pages .widget-item-inner, .widget_recent_comments .widget-item-inner, .widget_recent_entries .widget-item-inner, .widget_search .widget-item-inner, .widget_tag_cloud .widget-item-inner, .widget_text .widget-item-inner, .widget_rss .widget-item-inner, p.comment-form-cookies-consent label[for="wp-comment-cookies-consent"] {
				' . wp_kses_post( $font_secondary ) . '
			}

			.brnhmbx-font-1, .wpcf7-form p, .footer-nav, .comment-reply-title, input[type="submit"], .article-pure-content h1, .article-pure-content h2, .article-pure-content h3, .article-pure-content h4, .article-pure-content h5, .article-pure-content h6 {
				' . wp_kses_post( $font_primary ) . '
			}

			.brnhmbx-font-3, .comment-subscription-form {
				' . wp_kses_post( $font_tertiary ) . '
			}

			';

			if ( function_exists( 'WC' ) ) {

			$robin_css .= '

			.woocommerce h1,
			.woocommerce h2,
			.button.add_to_cart_button.product_type_variable,
			.button.add_to_cart_button.product_type_simple,
			button.single_add_to_cart_button.button.alt,
			.woocommerce .woocommerce-message a.button,
			.woocommerce .woocommerce-message a.button:visited,
			.woocommerce #review_form #respond .form-submit input.submit,
			ul.products li a.added_to_cart.wc-forward,
			.woocommerce #respond input#submit,
			.woocommerce a.button,
			.woocommerce button.button,
			.woocommerce input.button,
			.woo-p-widget a.added_to_cart.wc-forward,
			.woo-p-widget .product_type_simple,
			.woocommerce div.product .woocommerce-tabs ul.tabs li,
			.woocommerce-pagination {
				' . wp_kses_post( $font_primary ) . '
			}

			.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta strong[itemprop="author"], .woocommerce .term-description {
				' . wp_kses_post( $font_secondary ) . '
			}

			';

			}

			if ( $brnhmbx_robin_font_Logo ) {

				$robin_css .= '

				.logo-text {
					' . wp_kses_post( $font_for_logo ) . '
				}

				';

			}

			if ( !get_theme_mod( 'brnhmbx_robin_font_1_bold', 1 ) ) { $robin_css .= '.brnhmbx-font-1.fw700 { font-weight: normal; }'; }
			if ( !get_theme_mod( 'brnhmbx_robin_font_2_bold', 1 ) ) { $robin_css .= '.brnhmbx-font-2.fw700 { font-weight: normal; }'; }
			if ( !get_theme_mod( 'brnhmbx_robin_font_3_bold', 1 ) ) { $robin_css .= '.brnhmbx-font-3.fw700 { font-weight: normal; }'; }

			/* User Logged In */

			if ( is_admin_bar_showing() ) {

				$robin_css .= '

				.menu-sticky { margin-top: 432px; }
				.mobile-header { top: 45px; }
				@media all and (min-width: 783px) { .mobile-header { top: 32px; } }

				';

			}

			/* Gutenberg */
			if ( get_theme_mod( 'brnhmbx_robin_opt_GalleryPos_Gallery', 'content' ) == 'iof' && has_post_format( 'gallery' ) ) {

				$robin_css .= '

				.wp-block-gallery { display: none; }

				';

			}

			$robin_css .= '

			.wp-block-preformatted,
			.wp-block-verse {
				' . wp_kses_post( $font_secondary ) . '
			}

			.wp-block-cover-text,
			ul.wp-block-latest-posts li a,
			.wp-block-subhead,
			.wp-block-media-text p {
				' . wp_kses_post( $font_primary ) . '
			}

			.wp-block-table tbody tr:first-child td { border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ';	background-color: rgba(' . esc_attr( robin_hex2rgb( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) ) . ', 0.5); }
			.wp-block-quote.is-style-large { background-color: rgba(' . esc_attr( robin_hex2rgb( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) ) . ', 0.5); }
			.wp-block-preformatted { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }

			.wp-block-separator { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; }
			.wp-block-image figcaption,
			.wp-block-gallery .blocks-gallery-item figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Standard_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . ';}
			.wp-block-audio figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Standard_Content ) ) . ', 0.7); color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			.wp-block-embed figcaption,
			.wp-block-video figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Standard_Content ) ) . ', 0.7); color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			.wp-block-subhead { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			.wp-block-verse { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . ';	color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			.wp-block-button .wp-block-button__link { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ' !important;	background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }
			.wp-block-button .wp-block-button__link:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ' !important;	background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; }
			a.wp-block-file__button { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ' !important; }
			a.wp-block-file__button:hover { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . ';	color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ' !important; }
			.wp-block-pullquote.is-style-default { border-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . ' !important; background-color: rgba(' . esc_attr( robin_hex2rgb( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) ) . ', 0.5); }
			.wp-block-latest-posts time { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }
			.wp-block-cover-text { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; }

			article.post-gallery .wp-block-separator { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; }
			article.post-gallery .wp-block-image figcaption,
			article.post-gallery .wp-block-gallery .blocks-gallery-item figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Gallery_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . ';}
			article.post-gallery .wp-block-audio figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Gallery_Content ) ) . ', 0.7); color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			article.post-gallery .wp-block-embed figcaption,
			article.post-gallery .wp-block-video figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Gallery_Content ) ) . ', 0.7); color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			article.post-gallery .wp-block-subhead { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			article.post-gallery .wp-block-verse { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . ';	color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			article.post-gallery .wp-block-button .wp-block-button__link { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ' !important;	background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			article.post-gallery .wp-block-button .wp-block-button__link:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ' !important;	background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; }
			article.post-gallery a.wp-block-file__button { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ' !important; }
			article.post-gallery a.wp-block-file__button:hover { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . ';	color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ' !important; }
			article.post-gallery .wp-block-pullquote.is-style-default { border-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . ' !important; background-color: rgba(' . esc_attr( robin_hex2rgb( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) ) . ', 0.5); }
			article.post-gallery .wp-block-latest-comments article { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			article.post-gallery .wp-block-latest-posts time { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			article.post-gallery .wp-block-cover-text { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; }

			article.post-video .wp-block-separator { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; }
			article.post-video .wp-block-image figcaption,
			article.post-video .wp-block-gallery .blocks-gallery-item figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Video_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . ';}
			article.post-video .wp-block-audio figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Video_Content ) ) . ', 0.7); color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			article.post-video .wp-block-embed figcaption,
			article.post-video .wp-block-video figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Video_Content ) ) . ', 0.7); color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			article.post-video .wp-block-subhead { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			article.post-video .wp-block-verse { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . ';	color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			article.post-video .wp-block-button .wp-block-button__link { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ' !important;	background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Link ) . '; }
			article.post-video .wp-block-button .wp-block-button__link:hover { color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . ' !important;	background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; }
			article.post-video a.wp-block-file__button { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Link ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ' !important; }
			article.post-video a.wp-block-file__button:hover { color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . ' !important;	background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; }
			article.post-video .wp-block-pullquote.is-style-default { border-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . ' !important; background-color: rgba(' . esc_attr( robin_hex2rgb( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) ) . ', 0.2); }
			article.post-video .wp-block-latest-comments article { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; }
			article.post-video .wp-block-latest-posts time { color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; }
			article.post-video .wp-block-table tbody tr:first-child td { border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . ';	background-color: rgba(' . esc_attr( robin_hex2rgb( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) ) . ', 0.2); }
			article.post-video .wp-block-table tbody tr td { border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; }
			article.post-video .wp-block-quote.is-style-large { background-color: rgba(' . esc_attr( robin_hex2rgb( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) ) . ', 0.2); }
			article.post-video .wp-block-preformatted { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			article.post-video .wp-block-cover-text { color: ' . esc_attr( get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' ) ) . '; background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }

			';

			$robin_css .= esc_attr( get_theme_mod( 'brnhmbx_robin_text_CSS', '' ) );

			return $robin_css;

	}
}
/* */

/* Output Gutenberg Inline Styles */
if ( !function_exists( 'robin_rewrite_gutenberg_css' ) ) {
	function robin_rewrite_gutenberg_css() {

		global $robin_gutenberg_css, $robin_gutenberg_css_gallery, $robin_gutenberg_css_video, $robin_gutenberg_css_standard;

		$robin2017_font_primary = get_theme_mod( 'brnhmbx_robin_font_1', 'Quicksand' );
		$robin2017_font_secondary = get_theme_mod( 'brnhmbx_robin_font_2', 'Karla' );

		foreach ( robin_font_labels() as $key => $val ) {
			$add_underscore = str_replace( ' ', '_', $key );
			if ( $add_underscore == $robin2017_font_primary ) { $font_primary = 'font-family: "' . wp_kses_post( $key ) . '", ' . wp_kses_post( $val ) . ';'; }
			if ( $add_underscore == $robin2017_font_secondary ) { $font_secondary = 'font-family: "' . wp_kses_post( $key ) . '", ' . wp_kses_post( $val ) . ';'; }
		}

		$brnhmbx_robin_color_Background = get_theme_mod( 'brnhmbx_robin_color_Background', '#FFF' );

		$brnhmbx_robin_color_Standard_Background = get_theme_mod( 'brnhmbx_robin_color_Standard_Background', '#f4f1d3' );
		$brnhmbx_robin_color_Standard_Header = get_theme_mod( 'brnhmbx_robin_color_Standard_Header', '#ff6f60' );
		$brnhmbx_robin_color_Standard_Content = get_theme_mod( 'brnhmbx_robin_color_Standard_Content', '#333' );
		$brnhmbx_robin_color_Standard_Link = get_theme_mod( 'brnhmbx_robin_color_Standard_Link', '#458cad' );
		$brnhmbx_robin_color_Standard_Link_Hover = get_theme_mod( 'brnhmbx_robin_color_Standard_Link_Hover', '#31795c' );
		$brnhmbx_robin_color_Standard_InputBackground = get_theme_mod( 'brnhmbx_robin_color_Standard_InputBackground', '#FFF' );
		$brnhmbx_robin_color_Standard_InputText = get_theme_mod( 'brnhmbx_robin_color_Standard_InputText', '#999' );

		if ( get_theme_mod( 'brnhmbx_robin_keep_GalleryColors', 0 ) ) {

			$brnhmbx_robin_color_Gallery_Background = $brnhmbx_robin_color_Standard_Background;
			$brnhmbx_robin_color_Gallery_Header = $brnhmbx_robin_color_Standard_Header;
			$brnhmbx_robin_color_Gallery_Content = $brnhmbx_robin_color_Standard_Content;
			$brnhmbx_robin_color_Gallery_Link = $brnhmbx_robin_color_Standard_Link;
			$brnhmbx_robin_color_Gallery_Link_Hover = $brnhmbx_robin_color_Standard_Link_Hover;
			$brnhmbx_robin_color_Gallery_InputBackground = $brnhmbx_robin_color_Standard_InputBackground;
			$brnhmbx_robin_color_Gallery_InputText = $brnhmbx_robin_color_Standard_InputText;

		} else {

			$brnhmbx_robin_color_Gallery_Background = get_theme_mod( 'brnhmbx_robin_color_Gallery_Background', '#f7edf0' );
			$brnhmbx_robin_color_Gallery_Header = get_theme_mod( 'brnhmbx_robin_color_Gallery_Header', '#5c7f71' );
			$brnhmbx_robin_color_Gallery_Content = get_theme_mod( 'brnhmbx_robin_color_Gallery_Content', '#5a3114' );
			$brnhmbx_robin_color_Gallery_Link = get_theme_mod( 'brnhmbx_robin_color_Gallery_Link', '#bd2d20' );
			$brnhmbx_robin_color_Gallery_Link_Hover = get_theme_mod( 'brnhmbx_robin_color_Gallery_Link_Hover', '#555' );
			$brnhmbx_robin_color_Gallery_InputBackground = get_theme_mod( 'brnhmbx_robin_color_Gallery_InputBackground', '#FFF' );
			$brnhmbx_robin_color_Gallery_InputText = get_theme_mod( 'brnhmbx_robin_color_Gallery_InputText', '#999' );

		}

		if ( get_theme_mod( 'brnhmbx_robin_keep_VideoColors', 0 ) ) {

			$brnhmbx_robin_color_Video_Background = $brnhmbx_robin_color_Standard_Background;
			$brnhmbx_robin_color_Video_Header = $brnhmbx_robin_color_Standard_Header;
			$brnhmbx_robin_color_Video_Content = $brnhmbx_robin_color_Standard_Content;
			$brnhmbx_robin_color_Video_Link = $brnhmbx_robin_color_Standard_Link;
			$brnhmbx_robin_color_Video_Link_Hover = $brnhmbx_robin_color_Standard_Link_Hover;
			$brnhmbx_robin_color_Video_InputBackground = $brnhmbx_robin_color_Standard_InputBackground;
			$brnhmbx_robin_color_Video_InputText = $brnhmbx_robin_color_Standard_InputText;

		} else {

			$brnhmbx_robin_color_Video_Background = get_theme_mod( 'brnhmbx_robin_color_Video_Background', '#484654' );
			$brnhmbx_robin_color_Video_Header = get_theme_mod( 'brnhmbx_robin_color_Video_Header', '#FFF' );
			$brnhmbx_robin_color_Video_Content = get_theme_mod( 'brnhmbx_robin_color_Video_Content', '#CCC' );
			$brnhmbx_robin_color_Video_Link = get_theme_mod( 'brnhmbx_robin_color_Video_Link', '#c4a2ba' );
			$brnhmbx_robin_color_Video_Link_Hover = get_theme_mod( 'brnhmbx_robin_color_Video_Link_Hover', '#c5bb50' );
			$brnhmbx_robin_color_Video_InputBackground = get_theme_mod( 'brnhmbx_robin_color_Video_InputBackground', '#34333f' );
			$brnhmbx_robin_color_Video_InputText = get_theme_mod( 'brnhmbx_robin_color_Video_InputText', '#999' );

		}

		$robin_gutenberg_css = '

			.editor-writing-flow,
			.editor-writing-flow textarea,
			.editor-writing-flow select,
			.editor-writing-flow input[type="text"],
			.editor-writing-flow p,
			.editor-writing-flow .wp-block-preformatted pre,
			.editor-writing-flow .wp-block-verse pre {
				' . wp_kses_post( $font_secondary ) . '
			}

			.editor-writing-flow h1,
			.editor-writing-flow h2,
			.editor-writing-flow h3,
			.editor-writing-flow h4,
			.editor-writing-flow h5,
			.editor-writing-flow h6,
			.editor-writing-flow .editor-post-title__input,
			.editor-writing-flow .wp-block-cover-text,
			.editor-writing-flow ul.wp-block-latest-posts li a,
			.editor-writing-flow .wp-block-subhead,
			.editor-writing-flow .wp-block-media-text .wp-block-paragraph {
				' . wp_kses_post( $font_primary ) . '
			}

		';

		$robin_gutenberg_css_gallery = '

			.edit-post-visual-editor { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . '; }
			.editor-writing-flow { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			.editor-writing-flow p,
			.editor-writing-flow cite { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			.editor-writing-flow a { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Link ) . '; }
			.editor-writing-flow a:hover { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Link_Hover ) . ';	}
			.editor-writing-flow h1,
			.editor-writing-flow h2,
			.editor-writing-flow h3,
			.editor-writing-flow h4,
			.editor-writing-flow h5,
			.editor-writing-flow h6 { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; }
			.editor-writing-flow .editor-post-title__input { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . ';	}
			.editor-writing-flow .wp-block-separator { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; }
			.editor-writing-flow .wp-block-audio figcaption,
			.editor-writing-flow .wp-block-embed figcaption,
			.editor-writing-flow .wp-block-video figcaption { background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Gallery_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . '; }
			.editor-writing-flow .wp-block-preformatted { background-color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			.editor-writing-flow .wp-block-subhead { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-verse { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-verse pre { color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-table table.editor-rich-text__tinymce tbody td { border-color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-table table.editor-rich-text__tinymce tbody tr:first-child td { border-color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Background ) ) . ', 0.5); }
			.editor-writing-flow .wp-block-quote.is-style-default { border-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; }
			.editor-writing-flow .wp-block-quote cite { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			.editor-writing-flow .wp-block-quote.is-style-large { background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Background ) ) . ', 0.5); }
			.editor-writing-flow .wp-block-archives select { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Gallery_InputText ) . '; }
			.editor-writing-flow .wp-block-categories select { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Gallery_InputText ) . '; }
			.editor-writing-flow .wp-block-image figcaption { background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Gallery_Content ) ) . ', 0.7);	color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . '; }
			.editor-writing-flow .wp-block-gallery figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Gallery_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . '; }
			.editor-writing-flow .wp-block-file .wp-block-file__textlink { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Link ) . '; }
			.editor-writing-flow .wp-block-file .wp-block-file__button { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Background ) . ';	}
			.editor-writing-flow .wp-block-pullquote { border-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Background ) ) . ', 0.5); }
			.editor-writing-flow .wp-block-more input { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-button .wp-block-button__link { color: ' . esc_attr( $brnhmbx_robin_color_Background ) . ' !important;	background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			.editor-writing-flow .wp-block-latest-comments article { background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			.editor-writing-flow .wp-block-latest-posts time { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; }
			.editor-writing-flow .wp-block-cover-text { color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Header ) . '; }
			.editor-writing-flow .wp-block-code textarea { color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Content ) . '; background-color: ' . esc_attr( $brnhmbx_robin_color_Gallery_Background ) . '; }

		';

		$robin_gutenberg_css_video = '

			.edit-post-visual-editor { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			.editor-writing-flow { color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; }
			.editor-writing-flow p,
			.editor-writing-flow cite {	color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; }
			.editor-writing-flow a { color: ' . esc_attr( $brnhmbx_robin_color_Video_Link ) . '; }
			.editor-writing-flow a:hover { color: ' . esc_attr( $brnhmbx_robin_color_Video_Link_Hover ) . ';	}
			.editor-writing-flow h1,
			.editor-writing-flow h2,
			.editor-writing-flow h3,
			.editor-writing-flow h4,
			.editor-writing-flow h5,
			.editor-writing-flow h6 { color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; }
			.editor-writing-flow .editor-post-title__input { color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . ';	}
			.editor-writing-flow .wp-block-separator { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; }
			.editor-writing-flow .wp-block-audio figcaption,
			.editor-writing-flow .wp-block-embed figcaption,
			.editor-writing-flow .wp-block-video figcaption { background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Video_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-preformatted { background-color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			.editor-writing-flow .wp-block-subhead { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			.editor-writing-flow .wp-block-verse { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			.editor-writing-flow .wp-block-verse pre { color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			.editor-writing-flow .wp-block-table table.editor-rich-text__tinymce tbody td { border-color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-table table.editor-rich-text__tinymce tbody tr:first-child td { border-color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Background ) ) . ', 0.2); }
			.editor-writing-flow .wp-block-quote.is-style-default { border-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; }
			.editor-writing-flow .wp-block-quote cite { color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; }
			.editor-writing-flow .wp-block-quote.is-style-large { background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Background ) ) . ', 0.2); }
			.editor-writing-flow .wp-block-archives select { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_InputText ) . '; }
			.editor-writing-flow .wp-block-categories select { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_InputText ) . '; }
			.editor-writing-flow .wp-block-image figcaption { background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Video_Content ) ) . ', 0.7);	color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			.editor-writing-flow .wp-block-gallery figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Video_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			.editor-writing-flow .wp-block-file .wp-block-file__textlink { color: ' . esc_attr( $brnhmbx_robin_color_Video_Link ) . '; }
			.editor-writing-flow .wp-block-file .wp-block-file__button { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Link ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Background ) . ';	}
			.editor-writing-flow .wp-block-pullquote { border-color: ' . esc_attr( $brnhmbx_robin_color_Video_Header ) . '; background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Background ) ) . ', 0.2); }
			.editor-writing-flow .wp-block-more input { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Link ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-button .wp-block-button__link { color: ' . esc_attr( $brnhmbx_robin_color_Background ) . ' !important;	background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Link ) . '; }
			.editor-writing-flow .wp-block-latest-comments article { background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; }
			.editor-writing-flow .wp-block-latest-posts time { color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; }
			.editor-writing-flow .wp-block-cover-text { color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }
			.editor-writing-flow .wp-block-code textarea { color: ' . esc_attr( $brnhmbx_robin_color_Video_Content ) . '; background-color: ' . esc_attr( $brnhmbx_robin_color_Video_Background ) . '; }

		';

		$robin_gutenberg_css_standard = '

			.edit-post-visual-editor { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . '; }
			.editor-writing-flow { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }
			.editor-writing-flow p,
			.editor-writing-flow cite { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }
			.editor-writing-flow a { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Link ) . '; }
			.editor-writing-flow a:hover { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Link_Hover ) . ';	}
			.editor-writing-flow h1,
			.editor-writing-flow h2,
			.editor-writing-flow h3,
			.editor-writing-flow h4,
			.editor-writing-flow h5,
			.editor-writing-flow h6 { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; }
			.editor-writing-flow .editor-post-title__input { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . ';	}
			.editor-writing-flow .wp-block-separator { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; }
			.editor-writing-flow .wp-block-audio figcaption,
			.editor-writing-flow .wp-block-embed figcaption,
			.editor-writing-flow .wp-block-video figcaption { background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Standard_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . '; }
			.editor-writing-flow .wp-block-preformatted { background-color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }
			.editor-writing-flow .wp-block-subhead { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-verse { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-verse pre { color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-table table.editor-rich-text__tinymce tbody td { border-color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-table table.editor-rich-text__tinymce tbody tr:first-child td { border-color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Background ) ) . ', 0.5); }
			.editor-writing-flow .wp-block-quote.is-style-default { border-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; }
			.editor-writing-flow .wp-block-quote cite { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }
			.editor-writing-flow .wp-block-quote.is-style-large { background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Background ) ) . ', 0.5); }
			.editor-writing-flow .wp-block-archives select { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Standard_InputText ) . '; }
			.editor-writing-flow .wp-block-categories select { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Standard_InputText ) . '; }
			.editor-writing-flow .wp-block-image figcaption { background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Standard_Content ) ) . ', 0.7);	color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . '; }
			.editor-writing-flow .wp-block-gallery figcaption { background: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Standard_Content ) ) . ', 0.7); color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . '; }
			.editor-writing-flow .wp-block-file .wp-block-file__textlink { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Link ) . '; }
			.editor-writing-flow .wp-block-file .wp-block-file__button { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Background ) . ';	}
			.editor-writing-flow .wp-block-pullquote { border-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; background-color: rgba(' . esc_attr( robin_hex2rgb( $brnhmbx_robin_color_Background ) ) . ', 0.5); }
			.editor-writing-flow .wp-block-more input { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; }
			.editor-writing-flow .wp-block-button .wp-block-button__link { color: ' . esc_attr( $brnhmbx_robin_color_Background ) . ' !important;	background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }
			.editor-writing-flow .wp-block-latest-comments article { background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . '; color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }
			.editor-writing-flow .wp-block-latest-posts time { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; }
			.editor-writing-flow .wp-block-cover-text { color: ' . esc_attr( $brnhmbx_robin_color_Background ) . '; background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Header ) . '; }
			.editor-writing-flow .wp-block-code textarea { color: ' . esc_attr( $brnhmbx_robin_color_Standard_Content ) . '; background-color: ' . esc_attr( $brnhmbx_robin_color_Standard_Background ) . '; }

		';

		if ( has_post_format( 'gallery' ) ) {

			$robin_gutenberg_css .= $robin_gutenberg_css_gallery;

		} else if ( has_post_format( 'video' ) ) {

			$robin_gutenberg_css .= $robin_gutenberg_css_video;

		} else {

			$robin_gutenberg_css .= $robin_gutenberg_css_standard;

		}

		return $robin_gutenberg_css;

	}
}
/* */

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328595&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        