<!DOCTYPE html>
<html <?php if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) && get_theme_mod( 'brnhmbx_robin_tra_Lang' ) ) { echo 'lang="' . esc_attr( get_theme_mod( 'brnhmbx_robin_tra_Lang' ) ) . '"'; } else { language_attributes(); } ?>>
	<head>
    	<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
        <meta charset="<?php bloginfo( 'charset' ); ?>">
        <?php if ( get_theme_mod( 'brnhmbx_robin_upload_Favicon' ) && !function_exists( 'wp_site_icon' ) ) { ?><link rel="icon" href="<?php echo esc_url( get_theme_mod( 'brnhmbx_robin_upload_Favicon' ) ); ?>"><?php } ?>
        <link rel="pingback" href="<?php esc_url( bloginfo( 'pingback_url' ) ); ?>" />
		<?php wp_head(); ?>
	</head>

<body <?php body_class(); ?>>

    <div class="body-outer">

    	<!-- Sticky Header -->
	    <?php if ( get_theme_mod( 'brnhmbx_robin_stickyHeader', 1 ) ) { get_template_part( 'sticky-menu' ); } ?>
        <!-- /Sticky Header -->

        <!-- Mobile Header -->
				<div class="mobile-header clearfix">
					<div class="mobile-logo-outer">
						<div class="mobile-logo-container">
							<?php $stickyLogoPath = '';
							if ( get_theme_mod( 'brnhmbx_robin_upload_Logo' ) ) { $stickyLogoPath = get_theme_mod( 'brnhmbx_robin_upload_Logo' ); }
							if ( get_theme_mod( 'brnhmbx_robin_upload_StickyLogo' ) ) { $stickyLogoPath = get_theme_mod( 'brnhmbx_robin_upload_StickyLogo' ); }
							if ( get_theme_mod( 'brnhmbx_robin_upload_MobileLogo' ) ) { $stickyLogoPath = get_theme_mod( 'brnhmbx_robin_upload_MobileLogo' ); }
							if ( $stickyLogoPath ) { ?><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img alt="theme-sticky-logo-alt" src="<?php echo esc_url( $stickyLogoPath ); ?>" /></a><?php } else { ?>
								<h1 class="logo-text"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php if ( get_theme_mod( 'brnhmbx_robin_text_Logo' ) != '' ) { echo esc_attr( get_theme_mod( 'brnhmbx_robin_text_Logo' ) ); } else { bloginfo( 'name' ); } ?></a></h1>
							<?php } ?>
						</div>
					</div>
					<div class="brnhmbx-menu-button"><i class="fa fa-navicon"></i></div>
					<div id="touch-menu" class="brnhmbx-font-1 fw700"></div>
				</div>
        <!-- /Mobile Header -->

        <?php if ( get_theme_mod( 'brnhmbx_robin_sh_HeaderMenu', 1 ) ) { ?>
        <div class="top-line-outer">
            <div class="top-line-container">
                <div class="top-line-inner clearfix">
                	<?php if ( get_theme_mod( 'brnhmbx_robin_opt_SpotMessages', 'tagline' ) != 'none' ) { ?>
                    <div class="spot-messages brnhmbx-font-1 fw700 fs14">
							<?php if ( get_theme_mod( 'brnhmbx_robin_opt_SpotMessages', 'tagline' ) == 'spot' ) { ?>
                                <span><?php echo wp_kses_post( get_theme_mod( 'brnhmbx_robin_spotMessages_1', 'Spot Message 1' ) ); ?></span>
                                <span><?php echo wp_kses_post( get_theme_mod( 'brnhmbx_robin_spotMessages_2', 'Spot Message 2' ) ); ?></span>
                                <span><?php echo wp_kses_post( get_theme_mod( 'brnhmbx_robin_spotMessages_3', 'Spot Message 3' ) ); ?></span>
							<?php } else if ( get_theme_mod( 'brnhmbx_robin_opt_SpotMessages', 'tagline' ) == 'tagline' ) { ?><span class="spot-tagline"><?php bloginfo( 'description' ); ?></span><?php } ?>
                    </div>
					<?php } ?>
                    <?php if ( get_theme_mod( 'brnhmbx_robin_sh_HeaderMenu', 1 ) ) { ?>
                    <div class="header-menu-outer fs14 fw700 clearfix">

                           <?php
						   $args_header = array(
                                'theme_location' => 'header_menu',
                                'container_class' => 'footer-nav',
                                'menu_id'         => 'header-menu',
                                'depth'		   => '-1',
								'echo' => false,
                                'fallback_cb' => 'robin_assign_HeaderMenu'
                            );

							$nav = wp_nav_menu( $args_header );
							echo str_replace( '</a></li>', '</a></li><li class="nav-sep">/</li>', $nav );
							?>
                    </div>
					<?php } ?>
                </div>
            </div>
        </div>
        <?php } ?>

        <div class="site-top clearfix">
            <div class="site-top-container-outer clearfix">
            	<?php if ( get_theme_mod( 'brnhmbx_robin_opt_LogoPos', 'logo-top' ) == 'logo-top' ) { get_template_part( 'logo' ); } ?>
                <div class="site-top-container clearfix">
                    <?php if ( get_theme_mod( 'brnhmbx_robin_opt_LogoPos', 'logo-top' ) == 'logo-left' ) { get_template_part( 'logo' ); if ( get_theme_mod( 'brnhmbx_robin_opt_MenuPos', 'menu-center' ) == 'menu-right' ) { ?><div class="site-logo-outer-handler"></div><?php } } else { ?><div class="site-logo-left-handler"></div><?php } ?><?php get_template_part( 'primary-menu' ); ob_start( 'robin_compress' ); get_template_part( 'social-search' ); ob_end_flush(); ?>
				</div>
                <?php if ( get_theme_mod( 'brnhmbx_robin_opt_LogoPos', 'logo-top' ) == 'logo-bottom' ) { get_template_part( 'logo' ); } ?>
            </div>
            <?php /* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'above-full-slider' ); } /* */ ?>
        </div>

        <?php

		/* Slider - Fullwidth */
		if ( get_theme_mod( 'brnhmbx_robin_opt_SliderPosition', 'cover' ) == 'full' ) {

			if ( get_theme_mod( 'brnhmbx_robin_bpts', '0' ) ) {

				robin_blogPostsToSlider();

			} else {

				robin_placeSlider();

			}

		} /* /Slider - Fullwidth */ ?>

        <div class="site-mid clearfix">

        	<?php /* Slider - Cover */
			if ( get_theme_mod( 'brnhmbx_robin_opt_SliderPosition', 'cover' ) == 'cover' ) {

				if ( get_theme_mod( 'brnhmbx_robin_bpts', '0' ) ) {

					robin_blogPostsToSlider();

				} else {

					robin_placeSlider();

				}

			} /* /Slider - Cover */

			/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'below-cover-slider' ); } /* */

			/* Upper Widgets */
			ob_start( 'robin_compress' );

			if ( is_active_sidebar( 'brnhmbx_robin_upper_widgets' ) && ( is_home() || ( is_single() && get_theme_mod( 'brnhmbx_robin_sh_UpperWidgetsPost', 0 ) ) || ( is_archive() && get_theme_mod( 'brnhmbx_robin_sh_UpperWidgetsArchive', 0 ) ) || ( is_page() && get_theme_mod( 'brnhmbx_robin_sh_UpperWidgetsPage', 0 ) ) ) ) {

				 if ( get_theme_mod( 'brnhmbx_robin_sh_UpperWidgetsFront', 1 ) ) {

					 if ( get_query_var( 'paged' ) <= 1 ) { ?>

						<div class="upper-widget-area">
							<div class="upper-widget-area-inner<?php if ( get_theme_mod( 'brnhmbx_robin_upperWidgetsCol', '3col' ) == '2col' ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_robin_upper_widgets' ); ?></div>
						</div>

					<?php }

				} else { ?>

					<div class="upper-widget-area">
						<div class="upper-widget-area-inner<?php if ( get_theme_mod( 'brnhmbx_robin_upperWidgetsCol', '3col' ) == '2col' ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_robin_upper_widgets' ); ?></div>
					</div>

				<?php }

			} ob_end_flush();
			/* /Upper Widgets */

			/* Leaderboard Banner */ if ( is_home() ) { if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'below-upper-widgets' ); } } /* */

			?>

        	<div class="article-wrapper-outer">
