<?php
/*
Plugin Name: Burnhambox - Robin Slider
Plugin URI: http://www.burnhambox.com
Description: Robin Slider
Version: 1.3
Author: Burnhambox
Author URI: http://www.burnhambox.com
License: GNU
*/

/* SLIDER */
if ( !function_exists( 'robin_create_slider_posttype' ) ) {
	function robin_create_slider_posttype() {

		$labels = array(
			'add_new_item' => 'Add New Slide'
		);

		$args = array(
			'labels' => $labels,
			'public' => false,
			'show_ui' => true,
			'menu_icon' => 'dashicons-images-alt',
			'capability_type' => 'page',
			'rewrite' => array( 'slide-group', 'post_tag' ),
			'label'  => 'Robin Slider',
			'supports' => array( 'title', 'custom-fields', 'thumbnail', 'page-attributes' ),
		);

		register_post_type( 'slider', $args );

	}
}

add_action( 'init', 'robin_create_slider_posttype' );

//

if ( !function_exists( 'robin_create_slider_location_tax' ) ) {
	function robin_create_slider_location_tax() {

		register_taxonomy( 'slide-group', 'slider', array(
				'label' => 'Slide Groups',
				'public' => false,
				'show_ui' => true,
				'show_admin_column' => true,
				'rewrite' => false
			)
		);

	}
}

add_action( 'init', 'robin_create_slider_location_tax' );

//

if ( !function_exists( 'robin_set_default_slidermeta' ) ) {
	function robin_set_default_slidermeta( $post_ID ) {

		add_post_meta( $post_ID, 'Robin-Slider-URL', 'http://', true );
		add_post_meta( $post_ID, 'Robin-Slider-Target', '_self', true );
		add_post_meta( $post_ID, 'Robin-Slider-Excerpt', 'Lorem ipsum dolor sit amet.', true );
		add_post_meta( $post_ID, 'Robin-Slider-Post-ID', 0, true );

		return $post_ID;

	}
}

add_action( 'wp_insert_post', 'robin_set_default_slidermeta' );

//

if ( !function_exists( 'robin_getExcerptByID' ) ) {
	function robin_getExcerptByID( $post_id ) {

		global $post;
		$save_post = $post;
		$post = get_post( $post_id );
		$output = get_the_excerpt();
		$post = $save_post;
		return $output;

	}
}

//

if ( !function_exists( 'robin_slider_shortcode' ) ) {
	function robin_slider_shortcode( $atts = null ) {

		global $add_my_script, $ss_atts;
		$add_my_script = true;
		$ss_atts = shortcode_atts(
			array(
				'group' => '',
				'limit' => -1,
			), $atts, 'robinslider'
		);

		$args = array(
			'post_type' => 'slider',
			'posts_per_page' => $ss_atts['limit'],
			'orderby' => 'menu_order',
			'order' => 'ASC'
		);

		if ( $ss_atts['group'] != '' ) {

			$args['tax_query'] = array(
				array( 'taxonomy' => 'slide-group', 'field' => 'slug', 'terms' => $ss_atts['group'] )
			);

		}

		$the_query = new WP_Query( $args );
		$slides = array();

		$brnhmbx_robin_sliderHeight = get_theme_mod( 'brnhmbx_robin_sliderHeight', 600 );
		$brnhmbx_robin_icon = get_theme_mod( 'brnhmbx_robin_iconAsterisk', '-' );

		if ( $the_query->have_posts() ) {

			while ( $the_query->have_posts() ) {

				$the_query->the_post();
				$slide_callPost = false;
				$actual_base_ID = get_the_ID();
				$slide_postID = get_post_meta( get_the_ID(), 'Robin-Slider-Post-ID', true );

				if ( $slide_postID != 0 && $slide_postID != '' ) {

					$actual_base_ID = $slide_postID;
					$url = get_the_permalink( $actual_base_ID );

					if ( get_post_meta( get_the_ID(), 'Robin-Slider-Excerpt', true ) ) {

						$caption_text = get_post_meta( get_the_ID(), 'Robin-Slider-Excerpt', true );

					} else {

						$caption_text = robin_getExcerptByID( $actual_base_ID );

					}

					if ( get_post_thumbnail_id( get_the_ID() ) ) {

						$img_path = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'brnhmbx-robin-slider-image' );

					} else {

						$img_path = wp_get_attachment_image_src( get_post_thumbnail_id( $actual_base_ID ), 'brnhmbx-robin-slider-image' );

					}

				} else {

					$url = get_post_meta( get_the_ID(), 'Robin-Slider-URL', true );
					$caption_text = get_post_meta( get_the_ID(), 'Robin-Slider-Excerpt', true );
					$img_path = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'brnhmbx-robin-slider-image' );

				}

				$button_target = get_post_meta( get_the_ID(), 'Robin-Slider-Target', true );

				$linker_open = '';
				$linker_close = '';
				$padding_if_not_empty = '';

				$slide_image = get_template_directory_uri() . '/css/images/image-placeholder.jpg';
				$header = '';

				$replaceCaptionReadMore = '/\<div class="btnReadMore(.*)\<\/div>/';
				$caption_final_text = preg_replace( $replaceCaptionReadMore, '', $caption_text );

				$caption = '';
				$padding_caption = '';

				$date = '';
				$comment_icon = '';
				$padding_comment_icon = '';
				$categories = '';

				//

				if ( $url != '' && $url != 'http://' ) {

					$linker_open = '<a class="slide-a" href="' . esc_url( $url ) . '" target="' . esc_attr( $button_target ) . '">';
					$linker_close = '</a>';
				}

				//

				if ( $img_path ) {

					$slide_image = $img_path[0];

				}

				//

				if ( get_the_title() ) {

					$header = '<div class="slider-header brnhmbx-font-1 fw700">' . esc_attr( get_the_title() ) . '</div>';
					$padding_caption = 'padding-top: 10px; padding-bottom: 5px;';

				} else {

					if ( get_the_title( $actual_base_ID ) ) {

						$header = '<div class="slider-header brnhmbx-font-1 fw700">' . esc_attr( get_the_title( $actual_base_ID ) ) . '</div>';
						$padding_caption = 'padding-top: 10px; padding-bottom: 5px;';

					}

				}

				//

				if ( $caption_text && get_theme_mod( 'brnhmbx_robin_bptsCaption', 1 ) ) {

					$caption = '<div class="slider-caption brnhmbx-font-2" style="' . esc_attr( $padding_caption ) . '">' . esc_attr( $caption_final_text ) . '</div>';

				}

				//

				if ( get_theme_mod( 'brnhmbx_robin_bptsDate', 1 ) ) {

					$date = '<div class="slider-date brnhmbx-font-3">' . get_the_date( '', $actual_base_ID ) . '</div>';
					$padding_comment_icon = 'margin-left: 30px;';

				}

				//

				if ( get_theme_mod( 'brnhmbx_robin_bptsComment', 1 ) && comments_open( $actual_base_ID ) ) {

					$brnhmbx_robin_tra_comment = esc_html__( 'comment', 'robin' );
					$$brnhmbx_robin_tra_comments = esc_html__( 'comments', 'robin' );

					if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

					$brnhmbx_robin_tra_comment = get_theme_mod( 'brnhmbx_robin_tra_comment', 'comment' );
					$brnhmbx_robin_tra_comments = get_theme_mod( 'brnhmbx_robin_tra_comments', 'comments' );

					}

					if ( get_comments_number( $actual_base_ID ) <= 1 ) { $comment_icon_text = esc_attr( $brnhmbx_robin_tra_comment ); } else { $comment_icon_text = esc_attr( $brnhmbx_robin_tra_comments ); }

					$comment_icon = '<div class="slider-comment-icon brnhmbx-font-3" style="' . esc_attr( $padding_comment_icon ) . '"><div class="slider-comment-icon-inner"><i class="fa fa-comment"></i></div><div class="slider-comment-icon-number">' . get_comments_number( $actual_base_ID ) . ' ' . esc_html( $comment_icon_text ) . '</div></div>';

				}

				//

				$categories = '<div class="slider-categories brnhmbx-font-3">';

				$brnhmbx_robin_categories = get_the_category( $actual_base_ID );
				$brnhmbx_robin_separator = ', ';
				$brnhmbx_robin_output = '';

				if ( $brnhmbx_robin_categories && get_theme_mod( 'brnhmbx_robin_bptsCategories', 1 ) ) {

					foreach( $brnhmbx_robin_categories as $brnhmbx_robin_category ) {

						$brnhmbx_robin_output .= esc_attr( $brnhmbx_robin_category->cat_name ) . wp_kses_post( $brnhmbx_robin_separator );

					}

					$categories .= trim( $brnhmbx_robin_output, $brnhmbx_robin_separator );

					$categories .= '</div>';

				} else {

					$categories = '';

				}

				//

				if ( $caption || $header || $date || $comment_icon || $categories ) { $padding_if_not_empty = ' slide-text-padding'; }

				$slide_info = 'slide-info';

				//

				$read_more = '';

				if ( get_theme_mod( 'brnhmbx_robin_bptsReadMore', 1 ) ) {

					$brnhmbx_robin_tra_ReadMore = esc_html__( 'Read More', 'robin' );

					if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

					$brnhmbx_robin_tra_ReadMore = get_theme_mod( 'brnhmbx_robin_tra_ReadMore', 'Read More' );

					}

					$read_more = '<div class="btnReadMore fs20 brnhmbx-font-1"><span class="robin-icon-asterisk mr5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' . esc_html( $brnhmbx_robin_tra_ReadMore ) . '<span class="robin-icon-asterisk ml5">' . esc_attr( $brnhmbx_robin_icon ) . '</span></div>';

				}

				//

				$slides[] = '
				<li>' . wp_kses_post( $linker_open ) . '<div class="slide-container" style="background-image: url(' . esc_url( $slide_image ) . '); height: ' . esc_attr( $brnhmbx_robin_sliderHeight ) . 'px;">
					<div class="slide-info-outer">
						<div class="' . esc_attr( $slide_info ) . '">
							<div class="slide-info-inner">
								<div class="slide-text' . esc_attr( $padding_if_not_empty ) . '">' . wp_kses_post( $date ) . wp_kses_post( $comment_icon ) . wp_kses_post( $header ) . wp_kses_post( $caption ) . wp_kses_post( $read_more ) . wp_kses_post( $categories ) . '</div>
							</div>
						</div>
					</div>
				</div>' . wp_kses_post( $linker_close ) . '</li>';

			}

		}

		wp_reset_query();

		return '<div class="robin-slider-container clearfix"><ul class="bxslider-main" style="overflow: hidden; height: ' . esc_attr( $brnhmbx_robin_sliderHeight ) . 'px;">' . implode( '', $slides ) . '</ul></div>';

	}
}

add_shortcode( 'robinslider', 'robin_slider_shortcode' );
/* */
?>
